Index: chapter06/groff.xml
===================================================================
--- chapter06/groff.xml	(revision b5734891ba88bb726401b9122dae39a5e52e7d35)
+++ chapter06/groff.xml	(revision 131c90740b53a372a7207a4966356d7f95bc83f3)
@@ -74,11 +74,11 @@
 
       <seglistitem>
-        <seg>addftinfo, afmtodit, chem, eqn, eqn2graph, gdiffmk,
-        geqn (link to eqn), grap2graph, grn, grodvi, groff, groffer, grog,
-        grolbp, grolj4, grops, grotty, gtbl (link to tbl), hpftodit,
-        indxbib, lkbib, lookbib, mmroff, neqn, nroff, pdfroff, pfbtops, pic,
-        pic2graph, post-grohtml, preconv, pre-grohtml, refer, roff2dvi,
-        roff2html, roff2pdf, roff2ps, roff2text, roff2x, soelim, tbl, tfmtodit,
-        and troff</seg>
+        <seg>addftinfo, afmtodit, chem, eqn, eqn2graph, gdiffmk, glilypond,
+        gperl, gpinyin, grap2graph, grn, grodvi, groff, groffer, grog, grolbp,
+        grolj4, gropdf, grops, grotty, hpftodit, indxbib, lkbib, lookbib,
+        mmroff, neqn, nroff, pdfmom, pdfroff, pfbtops, pic, pic2graph,
+        post-grohtml, preconv, pre-grohtml, refer, roff2dvi, roff2html,
+        roff2pdf, roff2ps, roff2text, roff2x, soelim, tbl, tfmtodit, and
+        troff</seg>
         <seg>/usr/lib/groff and /usr/share/doc/groff-&groff-version;,
         /usr/share/groff</seg>
@@ -155,10 +155,33 @@
       </varlistentry>
 
-      <varlistentry id="geqn">
-        <term><command>geqn</command></term>
-        <listitem>
-          <para>A link to <command>eqn</command></para>
-          <indexterm zone="ch-system-groff geqn">
-            <primary sortas="b-geqn">geqn</primary>
+      <varlistentry id="glilypond">
+        <term><command>glilypond</command></term>
+        <listitem>
+          <para>Transforms sheet music written in the lilypond language into
+          the groff language</para>
+          <indexterm zone="ch-system-groff glilypond">
+            <primary sortas="b-glilypond">glilypond</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gperl">
+        <term><command>gperl</command></term>
+        <listitem>
+          <para>Preprocesor for groff, allowing addition of perl code
+          into groff files</para>
+          <indexterm zone="ch-system-groff gperl">
+            <primary sortas="b-gperl">gperl</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpinyin">
+        <term><command>gpinyin</command></term>
+        <listitem>
+          <para>Preprocesor for groff, allowing addition of Chinese
+          European-like language Pinyin into groff files.</para>
+          <indexterm zone="ch-system-groff gpinyin">
+            <primary sortas="b-gpinyin">gpinyin</primary>
           </indexterm>
         </listitem>
@@ -255,4 +278,15 @@
       </varlistentry>
 
+      <varlistentry id="gropdf">
+        <term><command>gropdf</command></term>
+        <listitem>
+          <para>Translates the output of GNU <command>troff</command> to
+          PDF</para>
+          <indexterm zone="ch-system-groff gropdf">
+            <primary sortas="b-gropdf">gropdf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="grops">
         <term><command>grops</command></term>
@@ -273,14 +307,4 @@
           <indexterm zone="ch-system-groff grotty">
             <primary sortas="b-grotty">grotty</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gtbl">
-        <term><command>gtbl</command></term>
-        <listitem>
-          <para>A link to <command>tbl</command></para>
-          <indexterm zone="ch-system-groff gtbl">
-            <primary sortas="b-gtbl">gtbl</primary>
           </indexterm>
         </listitem>
@@ -368,4 +392,15 @@
       </varlistentry>
 
+      <varlistentry id="pdfmom">
+        <term><command>pdfmom</command></term>
+        <listitem>
+          <para>Is a wrapper around groff that facilitates the production of PDF
+          documents from files formatted with the mom macros.</para>
+          <indexterm zone="ch-system-groff pdfmom">
+            <primary sortas="b-pdfmom">pdfmom</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="pdfroff">
         <term><command>pdfroff</command></term>