Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter01/changelog.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -46,4 +46,35 @@
     -->
     <listitem>
+      <para>2020-05-26</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Bash: do not use "su -c command" to change user
+	  to nobody: it removes the controlling terminal and makes some
+	  tests fail. Use "su &lt;&lt; EOF" instead.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Mount /dev/pts with "--bind", so that "tty"
+          knows there is a terminal. Fixes a test in coreutils.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Add a patch to fix a failure in gold test suite,
+          which really needs -fcommon in some tests.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Fix a failure in automake test suite.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to vim-8.2.0814.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Add a symlink from /tools/share/locale
+          to /usr/share/locale/locale-archive, to allow some programs
+          to find the installed locales. Fixes test failures in bison
+          and man-db;</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2020-05-21</para>
       <itemizedlist>
@@ -90,4 +121,7 @@
       <para>2020-05-08</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.0716.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to bison-3.6. Fixes
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter03/patches.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -27,13 +27,13 @@
     </varlistentry>
 
-<!--
+
     <varlistentry>
-      <term>Bc Memory Leak Patch - <token>&bc-memory-leak-patch-size;</token>:</term>
+      <term>Binutils Fix for gold Test Suite Patch - <token>&binutils-gold-test-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&bc-memory-leak-patch;"/></para>
-        <para>MD5 sum: <literal>&bc-memory-leak-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&binutils-gold-test-patch;"/></para>
+        <para>MD5 sum: <literal>&binutils-gold-test-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
--->
+
     <varlistentry>
       <term>Bzip2 Documentation Patch - <token>&bzip2-docs-patch-size;</token>:</term>
Index: chapter06/automake.xml
===================================================================
--- chapter06/automake.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter06/automake.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -41,4 +41,8 @@
   <sect2 role="installation">
     <title>Installation of Automake</title>
+
+    <para>Fix a failing test:</para>
+
+<screen><userinput remap="pre">sed -i "s/''/etags/"  t/tags-lisp-space.sh</userinput></screen>
 
     <para>Prepare Automake for compilation:</para>
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter06/bash.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -81,5 +81,12 @@
     class="username">nobody</systemitem> user:</para>
 
-<screen><userinput remap="test">su nobody -s /bin/bash -c "PATH=$PATH HOME=/home make tests"</userinput></screen>
+<screen><userinput remap="test">su nobody -s /bin/bash &lt;&lt; EOF
+PATH=$PATH HOME=/home make tests
+EOF</userinput></screen>
+
+    <para>The <command>su</command> command above is slightly different from
+    other places in the book. The
+    reason is that the <option>-c</option> option runs the command without
+    a controlling terminal, while the bash test suite needs one.</para>
 
     <para>Install the package and move the main executable to
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter06/binutils.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -59,7 +59,9 @@
 
     <para>Now remove one test that prevents the tests from running
-    to completion:</para>
-
-<screen><userinput remap="pre">sed -i '/@\tincremental_copy/d' gold/testsuite/Makefile.in</userinput></screen>
+    to completion, and fix other tests in the gold test suite, which
+    need to be adjusted for GCC 10:</para>
+
+<screen><userinput remap="pre">sed -i '/@\tincremental_copy/d' gold/testsuite/Makefile.in
+patch -Np1 -i ../binutils-&binutils-version;-gcc10_gold_test_fix-1.patch</userinput></screen>
 
     <para>The Binutils documentation recommends building Binutils 
@@ -158,5 +160,5 @@
 <screen><userinput remap="test">make -k check</userinput></screen>
 
-    <para>The ver_test_pr16504.sh test is known to fail.</para>
+<!--    <para>The ver_test_pr16504.sh test is known to fail.</para>-->
 
     <para>Install the package:</para>
Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter06/coreutils.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -127,12 +127,11 @@
     environment includes /tools/bin.</para>
 
-<screen><userinput remap="test">su nobody -s /bin/bash \
-          -c "PATH=$PATH make RUN_EXPENSIVE_TESTS=yes check"</userinput></screen>
-
+<screen><userinput remap="test">su nobody -s /bin/bash -c "PATH=$PATH make RUN_EXPENSIVE_TESTS=yes check"</userinput></screen>
+<!--
     <para>The test program test-getlogin is known to fail in a
     partially built system environment like the chroot environment here, but
     passes if run at the end of this chapter.  The test program tty.sh is
     also known to fail.</para>
-
+-->
     <para>Remove the temporary group:</para>
 
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter06/createfiles.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -56,5 +56,8 @@
 do
     ln -svf /tools/include/$incdir    /usr/include
-done</userinput></screen>
+done
+
+mkdir -pv /tools/lib/locale
+ln -sv /usr/lib/locale/locale-archive /tools/lib/locale</userinput></screen>
 
   <para arch="ml_32,ml_all">32-bit builds also require these links:</para>
@@ -220,4 +223,19 @@
         wrong references to /tools. The uuid library is also needed for
         building a python module.</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>
+        <parameter>
+          <filename>/tools/lib/locale/locale-archive</filename>
+        </parameter>
+      </term>
+      <listitem>
+        <para>Some programs built in chapter 5 look for installed
+        locale descriptions in this file. The locale descriptions will be
+        installed in <filename>/usr/lib/locale/locale-archive</filename>
+        after building the final glibc. The symlink allows those programs
+        to use the installed locales.</para>
       </listitem>
     </varlistentry>
Index: chapter06/kernfs.xml
===================================================================
--- chapter06/kernfs.xml	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ chapter06/kernfs.xml	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -69,5 +69,5 @@
       <para>Now mount the remaining virtual kernel filesystems:</para>
 
-<screen><userinput>mount -vt devpts devpts $LFS/dev/pts -o gid=5,mode=620
+<screen><userinput>mount -v --bind /dev/pts $LFS/dev/pts
 mount -vt proc proc $LFS/proc
 mount -vt sysfs sysfs $LFS/sys
Index: general.ent
===================================================================
--- general.ent	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ general.ent	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200521">
+<!ENTITY version         "SVN-20200526">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200521-systemd">
+<!ENTITY versiond        "20200526-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "May 21st, 2020">
+<!ENTITY releasedate     "May 26th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ packages.ent	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -719,5 +719,5 @@
 <!ENTITY util-linux-ch6-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.0716">
+<!ENTITY vim-version "8.2.0814">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
@@ -725,5 +725,5 @@
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "004b4596f185889fbca5b8d513f294ce">
+<!ENTITY vim-md5 "02b8b91bd2a9a97879fc60616f4eb767">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-ch6-du "202 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision e65cc63e49ada001590d399596b0f39a3d80232a)
+++ patches.ent	(revision 160e72c2431f08e3ab14fd212b9723cc16579b0c)
@@ -6,4 +6,8 @@
 <!ENTITY bash-fixes-patch-md5 "c1545da2ad7d78574b52c465ec077ed9">
 <!ENTITY bash-fixes-patch-size "22 KB">
+
+<!ENTITY binutils-gold-test-patch "binutils-&binutils-version;-gcc10_gold_test_fix-1.patch">
+<!ENTITY binutils-gold-test-patch-md5 "d18aaf9b25830cb8f7a5d44aa3febe28">
+<!ENTITY binutils-gold-test-patch-size "5.0 KB">
 
 <!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">