Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 4661ef516a9b50ebbb9fabd6f98c1be930f7b718)
+++ chapter01/changelog.xml	(revision 166a9dbdcfc1ce78b2c25a42cf2a6a02ed459d59)
@@ -39,4 +39,13 @@
 
     <listitem>
+      <para>2008-10-10</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Updated Udev to 130.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2008-10-09</para>
       <itemizedlist>
Index: chapter06/udev.xml
===================================================================
--- chapter06/udev.xml	(revision 4661ef516a9b50ebbb9fabd6f98c1be930f7b718)
+++ chapter06/udev.xml	(revision 166a9dbdcfc1ce78b2c25a42cf2a6a02ed459d59)
@@ -59,48 +59,39 @@
 ln -sv /proc/kcore /lib/udev/devices/core</userinput></screen>
 
+    <para>Prepare the package for compilation:</para>
+
+<screen><userinput remap="configure">./configure --prefix=/ --includedir=/usr/include \
+    --datarootdir=/usr/share</userinput></screen>
+
     <para>Compile the package:</para>
 
-<screen><userinput remap="make">make EXTRAS="`echo extras/*/`"</userinput></screen>
-
-    <variablelist>
-      <title>The meaning of the make option:</title>
-
-      <varlistentry>
-        <term><parameter>EXTRAS=...</parameter></term>
-        <listitem>
-          <para>This builds the helper binaries that can aid in writing custom
-          Udev rules.</para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-    <para>To test the results, issue:</para>
-
-<screen><userinput remap="test">make test</userinput></screen>
-
-    <para>Note that the Udev testsuite will produce numerous messages in
-    the host system's logs. These are harmless and can be ignored.</para>
+<screen><userinput remap="make">make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
 
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make DESTDIR=/ EXTRAS="`echo extras/*/`" install</userinput></screen>
-
-    <variablelist>
-      <title>The meaning of the make parameter:</title>
-
-      <varlistentry>
-        <term><parameter>DESTDIR=/</parameter></term>
-        <listitem>
-          <para>This prevents the Udev build process from killing any
-          <command>udevd</command> processes that may be running on the
-          host system.</para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
+<screen><userinput remap="install">make install</userinput></screen>
+
+    <para>Recreate the library <filename class="extension">.so</filename> files
+    currently in the <filename class="directory">/lib</filename> directory in
+    <filename class="directory">/usr/lib</filename>, then remove the
+    originals:</para>
+
+<screen><userinput remap="install">ln -sv ../../lib/$(readlink /lib/libudev.so) \
+       /usr/lib/libudev.so
+ln -sv ../../lib/$(readlink /lib/libvolume_id.so) \
+       /usr/lib/libvolume_id.so
+rm -v /lib/lib{udev,volume_id}.so</userinput></screen>
+
+    <para>Move the <filename class="extension">.pc</filename> files currently
+    in the <filename class="directory">/lib/pkgconfig</filename> directory to
+    their proper place in <filename class="directory">/usr/lib</filename>:</para>
+
+<screen><userinput remap="install">mv -v /lib/pkgconfig/lib{udev,volume_id}.pc /usr/lib/pkgconfig
+rmdir -v /lib/pkgconfig</userinput></screen>
 
     <para>Udev has to be configured in order to work properly, as its default
-    configuration does not cover all devices. First install a few extra rules
+    configuration does not cover all devices. First install two extra rules
     files from Udev to help support device-mapper and RAID setups:</para>
 
@@ -111,5 +102,5 @@
 
 <screen><userinput remap="install">install -m644 -v etc/udev/packages/40-pilot-links.rules \
-    /etc/udev/rules.d/40-pilot-links.rules</userinput></screen>
+    /etc/udev/rules.d/</userinput></screen>
 
     <!-- There are more files available in the packages/ directory, if we want
@@ -137,6 +128,5 @@
 
 <screen><userinput remap="install">cd ..
-install -dv /usr/share/doc/udev-&udev-version;
-install -m644 -v docs/writing_udev_rules/index.html \
+install -m644 -v -D docs/writing_udev_rules/index.html \
     /usr/share/doc/udev-&udev-version;/index.html</userinput></screen>
 
@@ -155,5 +145,5 @@
         firmware.sh, fstab_import, path_id, scsi_id, udevadm, udevd,
         usb_id, vol_id, write_cd_rules, and write_net_rules</seg>
-        <seg>libvolume_id</seg>
+        <seg>libudev and libvolume_id</seg>
         <seg>/etc/udev</seg>
       </seglistitem>
@@ -334,8 +324,18 @@
       </varlistentry>
 
+      <varlistentry id="libudev">
+        <term><command>libudev</command></term>
+        <listitem>
+          <para>A library interface to udev device information</para>
+          <indexterm zone="ch-system-udev libudev">
+            <primary sortas="c-libudev">libudev</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libvolume_id">
         <term><command>libvolume_id</command></term>
         <listitem>
-          <para></para>
+          <para>A library interface to read volume labels and uuids</para>
           <indexterm zone="ch-system-udev libvolume_id">
             <primary sortas="c-libvolume_id">libvolume_id</primary>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4661ef516a9b50ebbb9fabd6f98c1be930f7b718)
+++ packages.ent	(revision 166a9dbdcfc1ce78b2c25a42cf2a6a02ed459d59)
@@ -507,11 +507,11 @@
 <!ENTITY texinfo-ch6-sbu "0.3 SBU">
 
-<!ENTITY udev-version "122">
-<!ENTITY udev-size "207 KB">
+<!ENTITY udev-version "130">
+<!ENTITY udev-size "442 KB">
 <!ENTITY udev-url "&kernel;linux/utils/kernel/hotplug/udev-&udev-version;.tar.bz2">
-<!ENTITY udev-md5 "aca509d0a286c06d897f9de67f527ace">
+<!ENTITY udev-md5 "eaaac3c45b8c87d81a82fed254ecee25">
 <!ENTITY udev-home "&kernel;linux/utils/kernel/hotplug/udev.html">
-<!ENTITY udev-ch6-du "7.6 MB">
-<!ENTITY udev-ch6-sbu "0.1 SBU">
+<!ENTITY udev-ch6-du "10 MB">
+<!ENTITY udev-ch6-sbu "0.2 SBU">
 
 <!ENTITY udev-config "udev-config-20080522"> <!-- Scripts depend on this format -->