Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ chapter01/changelog.xml	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -37,4 +37,14 @@
 -->
     <listitem>
+      <para>2014-10-31</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gcc-4.9.2. Fixes 
+          <ulink url="&lfs-ticket-root;3702">#3702</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-10-30</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ chapter01/whatsnew.xml	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -87,7 +87,7 @@
       <para>Gawk &gawk-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GDBM &gdbm-version;</para>
@@ -269,4 +269,8 @@
 
     <listitem>
+      <para>gcc-4.9.1-upstream_fixes-1.patch</para>
+    </listitem>
+
+    <listitem>
       <para>readline-6.3-upstream_fixes-2.patch</para>
     </listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ chapter03/patches.xml	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -84,5 +84,5 @@
     </varlistentry>
 -->
-
+<!--
     <varlistentry>
       <term>Gcc Upstream Patch - <token>&gcc-upstream-patch-size;</token>:</term>
@@ -92,5 +92,5 @@
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry>
       <term>Glibc FHS Patch - <token>&glibc-fhs-patch-size;</token>:</term>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ chapter05/gcc-pass1.xml	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -105,9 +105,9 @@
 
 <screen><userinput remap="pre">sed -i '/k prot/agcc_cv_libc_provides_ssp=yes' gcc/configure</userinput></screen>
-
+<!--
     <para>Also fix a problem identified upstream:</para>
 
 <screen><userinput remap="pre">sed -i 's/if \((code.*))\)/if (\1 \&amp;\&amp; \!DEBUG_INSN_P (insn))/' gcc/sched-deps.c</userinput></screen>
-
+-->
     <para>The GCC documentation recommends building GCC outside of the
     source directory in a dedicated build directory:</para>
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ chapter05/gcc-pass2.xml	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -95,9 +95,9 @@
 tar -xf ../mpc-&mpc-version;.tar.gz
 mv -v mpc-&mpc-version; mpc</userinput></screen>
-
+<!--
     <para>As in the first build of GCC, fix a problem identified upstream:</para>
 
 <screen><userinput remap="pre">sed -i 's/if \((code.*))\)/if (\1 \&amp;\&amp; \!DEBUG_INSN_P (insn))/' gcc/sched-deps.c</userinput></screen>
-
+-->
     <para>Create a separate build directory again:</para>
 
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ chapter06/gcc.xml	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -41,5 +41,5 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
-
+<!--
     <para>As in Chapter 5, fix a problem identified upstream:</para>
 
@@ -51,5 +51,5 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&gcc-upstream-patch;</userinput></screen>
-
+-->
     <para>The GCC documentation recommends building GCC outside of the source
     directory in a dedicated build directory:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ general.ent	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -1,5 +1,5 @@
-<!ENTITY version         "SVN-20141030">
+<!ENTITY version         "SVN-20141031">
 <!ENTITY short-version   "svn">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "October 30, 2014">
+<!ENTITY releasedate     "October 31, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.7">
Index: packages.ent
===================================================================
--- packages.ent	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ packages.ent	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -201,8 +201,8 @@
 <!ENTITY gawk-ch6-sbu "0.3 SBU">
 
-<!ENTITY gcc-version "4.9.1">
-<!ENTITY gcc-size "87,749 KB">
+<!ENTITY gcc-version "4.9.2">
+<!ENTITY gcc-size "87,832 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "fddf71348546af523353bd43d34919c1">
+<!ENTITY gcc-md5 "4df8ee253b7f3863ad0b86359cd39c43">
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.0 GB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 48a987b4204cf5c5a1686e40b51bbdd014d834ee)
+++ patches.ent	(revision 238d351be0bc02d6c27b4c81119c7b245c737f08)
@@ -38,7 +38,9 @@
 -->
 
+<!--
 <!ENTITY gcc-upstream-patch "gcc-&gcc-version;-upstream_fixes-1.patch">
 <!ENTITY gcc-upstream-patch-md5 "015e026dff5052cd65906ee0bb8f25e8">
 <!ENTITY gcc-upstream-patch-size "8.6 KB">
+-->
 
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">