Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 7d0b6d3eaa150667e6d43d17d81d616cc262720f)
+++ chapter01/changelog.xml	(revision 241bb14b23e31c010193eeb541df10a1bd901fd9)
@@ -44,5 +44,6 @@
 
 <listitem><para>October 23, 2005 [manuel]: Added Bash documentation
-installation.</para></listitem>
+installation. Added notes about libiconv and Cracklib. Fixed the installation
+of Sed documentation.</para></listitem>
 
 <listitem><para>October 19, 2005 [manuel]: Updated the acknowledgements to 
Index: chapter06/devices.xml
===================================================================
--- chapter06/devices.xml	(revision 7d0b6d3eaa150667e6d43d17d81d616cc262720f)
+++ chapter06/devices.xml	(revision 241bb14b23e31c010193eeb541df10a1bd901fd9)
@@ -15,6 +15,10 @@
 <para>When the kernel boots the system, it requires the presence of a few device
 nodes, in particular the <filename class="devicefile">console</filename> and
-<filename class="devicefile">null</filename> devices. Create these by
-running the following commands:</para>
+<filename class="devicefile">null</filename> devices.  The device nodes will
+be created on the hard disk so that they are available before
+<command>udev</command> has been started, and additionally when Linux is started
+in single user mode (hence the restrictive permissions on
+<filename class="devicefile">console</filename>).  Create the devices by running
+the following commands:</para>
 
 <screen><userinput>mknod -m 600 /dev/console c 5 1
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 7d0b6d3eaa150667e6d43d17d81d616cc262720f)
+++ chapter06/glibc.xml	(revision 241bb14b23e31c010193eeb541df10a1bd901fd9)
@@ -32,4 +32,13 @@
 <title>Installation of Glibc</title>
 
+<note><para>Some packages outside of LFS suggest installing GNU libiconv in
+order to translate data from one encoding to another.  The project's home page
+(<ulink url="http://www.gnu.org/software/libiconv/"/>) says <quote>This library
+provides an <function>iconv()</function> implementation, for use on systems
+which don't have one, or whose implementation cannot convert from/to Unicode.
+</quote>  Glibc provides an <function>iconv()</function> implementation and can
+convert from/to Unicode, therefore libiconv is not required on an LFS
+system.</para></note>
+
 <para>This package is known to have issues when its default
 optimization flags (including the <parameter>-march</parameter> and
@@ -99,5 +108,6 @@
 <para>Test the results:</para>
 
-<screen><userinput>make check</userinput></screen>
+<screen><userinput>make -k check &gt;glibc-check-log 2&gt;&amp;1
+grep Error glibc-check-log</userinput></screen>
 
 <para>The Glibc test suite is highly dependent on certain functions of
Index: chapter06/sed.xml
===================================================================
--- chapter06/sed.xml	(revision 7d0b6d3eaa150667e6d43d17d81d616cc262720f)
+++ chapter06/sed.xml	(revision 241bb14b23e31c010193eeb541df10a1bd901fd9)
@@ -28,4 +28,11 @@
 <sect2 role="installation">
 <title>Installation of Sed</title>
+
+<para>By default, Sed installs its man page in
+<filename class="directory">/usr/share/doc</filename>.  Alter this to
+<filename class="directory">/usr/share/doc/sed-&sed-version;</filename> by
+applying the following <command>sed</command>:</para>
+
+<screen><userinput>sed -i 's@/doc@&amp;/sed-&sed-version;@' doc/Makefile.in</userinput></screen>
 
 <para>Prepare Sed for compilation:</para>
Index: chapter06/shadow.xml
===================================================================
--- chapter06/shadow.xml	(revision 7d0b6d3eaa150667e6d43d17d81d616cc262720f)
+++ chapter06/shadow.xml	(revision 241bb14b23e31c010193eeb541df10a1bd901fd9)
@@ -29,4 +29,9 @@
 <sect2 role="installation">
 <title>Installation of Shadow</title>
+
+<note><para>If you would like to enforce the use of strong passwords, refer to
+<ulink url="&blfs-root;view/svn/postlfs/cracklib.html"/> for installing Cracklib
+prior to building Shadow. Then add <parameter>--with-libcrack</parameter> to the
+<command>configure</command> command below.</para></note>
 
 <para>Prepare Shadow for compilation:</para>
@@ -68,4 +73,10 @@
 
 <indexterm zone="shadow-login_defs"><primary sortas="e-/etc/login.defs">/etc/login.defs</primary></indexterm>
+
+<note><para>If you built Shadow with Cracklib support, insert the following into
+the <command>sed</command> given below:</para>
+
+<screen><literal>-e 's@DICTPATH.*@DICTPATH\t/lib/cracklib/pw_dict@'</literal></screen>
+</note>
 
 <screen><userinput>sed -e's@#MD5_CRYPT_ENAB.no@MD5_CRYPT_ENAB yes@' \