Index: chapter08/adjusting.xml
===================================================================
--- chapter08/adjusting.xml	(revision 477c9a1d58826e8cf63f377d786e0465f2b0a80d)
+++ 	(revision )
@@ -1,126 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-adjusting">
-  <?dbhtml filename="adjusting.html"?>
-
-  <title>Adjusting the Toolchain</title>
-
-  <para>Now that the final C libraries have been installed, it is time to adjust
-  the toolchain so that it will link any
-  newly compiled program against these new libraries.</para>
-
-  <para>First, backup the <filename class="directory">/tools</filename> linker,
-  and replace it with the adjusted linker we made in chapter 5. We'll also create
-  a link to its counterpart in
-  <filename class="directory">/tools/$(uname -m)-pc-linux-gnu/bin</filename>:</para>
-
-<screen><userinput>mv -v /tools/bin/{ld,ld-old}
-mv -v /tools/$(uname -m)-pc-linux-gnu/bin/{ld,ld-old}
-mv -v /tools/bin/{ld-new,ld}
-ln -sv /tools/bin/ld /tools/$(uname -m)-pc-linux-gnu/bin/ld</userinput></screen>
-
-  <para>the next command amends the GCC specs file to achieve three goals:
-  first point GCC to the new dynamic linker. Simply deleting all instances of
-  <quote>/tools</quote> should leave us with the correct path to the dynamic
-  linker. Second, let GCC know where to find the Glibc start files. Third,
-  add the /usr/include directory at the end of the default search path, so
-  that header files added in chapter 6 are found.
-  A <command>sed</command> command accomplishes this:</para>
-
-<screen><userinput>gcc -dumpspecs | sed -e 's@/tools@@g'                   \
-    -e '/\*startfile_prefix_spec:/{n;s@.*@/usr/lib/ @}' \
-    -e '/\*cpp:/{n;s@$@ -idirafter /usr/include@}' &gt;      \
-    `dirname $(gcc --print-libgcc-file-name)`/specs</userinput></screen>
-
-  <para>It is a good idea to visually inspect the specs file to verify the
-  intended change was actually made.</para>
-
-  <para>It is imperative at this point to ensure that the basic
-  functions (compiling and linking) of the adjusted toolchain are working
-  as expected. To do this, perform the following sanity checks:</para>
-
-<screen os="a"><userinput>echo 'int main(){}' &gt; dummy.c
-cc dummy.c -v -Wl,--verbose &amp;&gt; dummy.log
-readelf -l a.out | grep ': /lib'</userinput></screen>
-
-  <para os="b">There should be no errors,
-  and the output of the last command will be (allowing for
-  platform-specific differences in the dynamic linker name):</para>
-
-<screen os="c"><computeroutput>[Requesting program interpreter: /lib64/ld-linux-x86-64.so.2]</computeroutput></screen>
-
-  <para>Note that on 64-bit systems <filename class="directory">/lib</filename> is
-  the location of our dynamic linker, but is accessed via a symbolic link
-  in /lib64.</para>
-
-  <note><para>On 32-bit systems the interpreter should be
-  /lib/ld-linux.so.2.</para></note>
-
-  <para os="d">Now make sure that we're setup to use the correct start files:</para>
-
-<screen os="e"><userinput>grep -o '/usr/lib.*/crt[1in].*succeeded' dummy.log</userinput></screen>
-
-  <para os="f">The output of the last command should be:</para>
-
-<screen><computeroutput>/usr/lib/../lib/crt1.o succeeded
-/usr/lib/../lib/crti.o succeeded
-/usr/lib/../lib/crtn.o succeeded</computeroutput></screen>
-
-  <para os="g">Verify that the compiler is searching for the correct header
-  files:</para>
-
-<screen><userinput>grep -B4 '^ /usr/include' dummy.log</userinput></screen>
-
-  <para os="h">This command should return the following output:</para>
-
-<screen><computeroutput>#include &lt;...&gt; search starts here:
- /tools/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/include
- /tools/include
- /tools/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/include-fixed
- /usr/include</computeroutput></screen>
-
-  <note><para>On a 32 bit system, x86_64 is replaced with i686.</para></note>
-
-  <para os="i">Next, verify that the new linker is being used with the correct search paths:</para>
-
-<screen os="j"><userinput>grep 'SEARCH.*/usr/lib' dummy.log |sed 's|; |\n|g'</userinput></screen>
-
-  <para os="k">References to paths that have components with '-linux-gnu' should
-  be ignored, but otherwise the output of the last command should be:</para>
-
-<screen><computeroutput>SEARCH_DIR("/usr/lib")
-SEARCH_DIR("/lib")</computeroutput></screen>
-
-  <para os="l">Next make sure that we're using the correct libc:</para>
-
-<screen os="m"><userinput>grep "/lib.*/libc.so.6 " dummy.log</userinput></screen>
-
-  <para os="n">The output of the last command should be:</para>
-
-<screen os="o"><computeroutput>attempt to open /usr/lib/libc.so.6 succeeded</computeroutput></screen>
-
-  <para os="p">Make sure GCC is using the correct dynamic linker:</para>
-
-<screen os="q"><userinput>grep found dummy.log</userinput></screen>
-
-  <para os="r">The output of the last command should be (allowing for
-  platform-specific differences in dynamic linker name):</para>
-
-<screen os="s"><computeroutput>found ld-linux-x86-64.so.2 at /usr/lib/ld-linux-x86-64.so.2</computeroutput></screen>
-
-  <para os="t">If the output does not appear as shown above or is not received
-  at all, then something is seriously wrong. Investigate and retrace the
-  steps to find out where the problem is and correct it. <!--The most likely
-  reason is that something went wrong with the specs file adjustment.--> Any
-  issues will need to be resolved before continuing with the process.</para>
-
-  <para os="u">Once everything is working correctly, clean up the test files:</para>
-
-<screen os="v"><userinput>rm -v dummy.c a.out dummy.log</userinput></screen>
-
-</sect1>
Index: chapter08/gcc.xml
===================================================================
--- chapter08/gcc.xml	(revision 477c9a1d58826e8cf63f377d786e0465f2b0a80d)
+++ chapter08/gcc.xml	(revision 259b8e0aa3124c1810ec48d2d9bcab9756fd1eec)
@@ -198,27 +198,19 @@
     some sanity checks:</para>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+<screen><userinput>echo 'int main(){}' &gt; dummy.c
+cc dummy.c -v -Wl,--verbose &amp;&gt; dummy.log
+readelf -l a.out | grep ': /lib'</userinput></screen>
+
+  <para>There should be no errors,
+  and the output of the last command will be (allowing for
+  platform-specific differences in the dynamic linker name):</para>
+
+<screen><computeroutput>[Requesting program interpreter: /lib64/ld-linux-x86-64.so.2]</computeroutput></screen>
+
+  <para>Now make sure that we're setup to use the correct start files:</para>
+
+<screen><userinput>grep -o '/usr/lib.*/crt[1in].*succeeded' dummy.log</userinput></screen>
+
+  <para>The output of the last command should be:</para>
 
 <screen><computeroutput>/usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/../../../../lib/crt1.o succeeded
@@ -233,13 +225,10 @@
   <filename class="directory">/usr/lib</filename> directory.</para>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
+  <para>Verify that the compiler is searching for the correct header
+  files:</para>
 
 <screen><userinput>grep -B4 '^ /usr/include' dummy.log</userinput></screen>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
+  <para>This command should return the following output:</para>
 
 <screen><computeroutput>#include &lt;...&gt; search starts here:
@@ -252,15 +241,10 @@
    different than the above, depending on your system architecture.</para>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='k'])"/>
+  <para>Next, verify that the new linker is being used with the correct search paths:</para>
+
+<screen><userinput>grep 'SEARCH.*/usr/lib' dummy.log |sed 's|; |\n|g'</userinput></screen>
+
+  <para>References to paths that have components with '-linux-gnu' should
+  be ignored, but otherwise the output of the last command should be:</para>
 
 <screen><computeroutput>SEARCH_DIR("/usr/x86_64-pc-linux-gnu/lib64")
@@ -285,47 +269,30 @@
 SEARCH_DIR("/usr/lib");</computeroutput></screen>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='l'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='m'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='n'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='o'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='r'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='s'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='t'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='u'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="adjusting.xml"
-    xpointer="xpointer(//*[@os='v'])"/>
+  <para>Next make sure that we're using the correct libc:</para>
+
+<screen><userinput>grep "/lib.*/libc.so.6 " dummy.log</userinput></screen>
+
+  <para>The output of the last command should be:</para>
+
+<screen><computeroutput>attempt to open /usr/lib/libc.so.6 succeeded</computeroutput></screen>
+
+  <para>Make sure GCC is using the correct dynamic linker:</para>
+
+<screen><userinput>grep found dummy.log</userinput></screen>
+
+  <para>The output of the last command should be (allowing for
+  platform-specific differences in dynamic linker name):</para>
+
+<screen><computeroutput>found ld-linux-x86-64.so.2 at /usr/lib/ld-linux-x86-64.so.2</computeroutput></screen>
+
+  <para>If the output does not appear as shown above or is not received
+  at all, then something is seriously wrong. Investigate and retrace the
+  steps to find out where the problem is and correct it. <!--The most likely
+  reason is that something went wrong with the specs file adjustment.--> Any
+  issues will need to be resolved before continuing with the process.</para>
+
+  <para>Once everything is working correctly, clean up the test files:</para>
+
+<screen><userinput>rm -v dummy.c a.out dummy.log</userinput></screen>
 
     <para>Finally, move a misplaced file:</para>
Index: chapter08/iproute2.xml
===================================================================
--- chapter08/iproute2.xml	(revision 477c9a1d58826e8cf63f377d786e0465f2b0a80d)
+++ chapter08/iproute2.xml	(revision 259b8e0aa3124c1810ec48d2d9bcab9756fd1eec)
@@ -62,5 +62,5 @@
     <para>Compile the package:</para>
 
-<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="make">make NETNS_RUN_DIR=/run/netns</userinput></screen>
 
     <para>This package does not have a working test suite.</para>
Index: chapter08/tcl.xml
===================================================================
--- chapter08/tcl.xml	(revision 477c9a1d58826e8cf63f377d786e0465f2b0a80d)
+++ chapter08/tcl.xml	(revision 259b8e0aa3124c1810ec48d2d9bcab9756fd1eec)
@@ -64,22 +64,5 @@
 cd unix
 ./configure --prefix=/usr           \
-            --mandir=/usr/share/man \
-            $([ "$(uname -m)" = x86_64 ] &amp;&amp; echo --enable-64bit)</userinput></screen>
-
-    <variablelist>
-      <title>The meaning of the configure options:</title>
-
-      <varlistentry>
-        <term><parameter>$([ "$(uname -m)" = x86_64 ] &amp;&amp; echo --enable-64bit)</parameter></term>
-        <listitem>
-          <para>The construct <parameter>$(&lt;shell command&gt;)</parameter>
-          is replaced by the output of the shell command.  Here this output is
-          empty if running on a 32 bit machine, and is
-          <parameter>--enable-64bit</parameter> if running on a 64 bit machine.
-          </para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
+            --mandir=/usr/share/man</userinput></screen>
 
     <para>Build the package:</para>