Index: chapter02/hostreqs.xml
===================================================================
--- chapter02/hostreqs.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
+++ chapter02/hostreqs.xml	(revision 289f2849be7174728b9c335b93a29e7afba0294a)
@@ -45,5 +45,5 @@
 
     <listitem>
-      <para><emphasis role="strong">Binutils-2.13.1</emphasis> (Versions
+      <para><emphasis role="strong">Binutils-2.38</emphasis> (Versions
       greater than &binutils-version; are not recommended as they have
       not been tested)</para>
@@ -74,7 +74,5 @@
 
     <listitem>
-      <!-- Pass 1 GCC FTBFS with GCC-5.1 because of
-           https://gcc.gnu.org/PR65801. -->
-      <para><emphasis role="strong">GCC-5.2</emphasis> including the C++
+      <para><emphasis role="strong">GCC-12.2</emphasis> including the C++
       compiler, <command>g++</command> (Versions greater than &gcc-version; are
       not recommended as they have not been tested). C and C++ standard
@@ -97,18 +95,29 @@
       that version when building <application>glibc</application> in
       <xref linkend="chapter-cross-tools"/> and
-      <xref linkend="chapter-building-system"/>, so the workarounds for
-      older kernels are not enabled and the compiled
-      <application>glibc</application> is slightly faster and smaller.
-      As at June 2023, &min-kernel; is the oldest kernel release still
-      supported by the kernel developers.</para>
-
-      <para>If the host kernel is earlier than &min-kernel; you will need to replace
-      the kernel with a more up-to-date version. There are two ways
-      you can go about this. First, see if your Linux vendor provides a &min-kernel;
-      or later kernel package. If so, you may wish to install it. If your
-      vendor doesn't offer an acceptable kernel package, or you would prefer not to
-      install it, you can compile a kernel yourself. Instructions for
-      compiling the kernel and configuring the boot loader (assuming the host
-      uses GRUB) are located in <xref linkend="chapter-bootable"/>.</para>
+      <xref linkend="chapter-building-system"/>, and
+      &min-kernel; is the oldest kernel release supported by Glibc for
+      LoongArch.</para>
+
+      <important>
+        <para>
+          If a Linux distribution on LoongArch provides a kernel older than
+          &min-kernel;, it indicates the distribution is using a preliminary
+          version of the kernel ABI.  The preliminary draft was rejected by
+          the kernel maintainers and it's fundamentally incompatible with
+          the packages we will built for LFS.  Such <quote>old-world</quote>
+          distributions (for example, Loongnix) cannot be used as a host
+          distro for building LFS.
+        </para>
+
+        <para>
+          Do not attempt to update the kernel to &min-kernel; or later on
+          a old-world distro because doing so will cause a boot failure.
+          Use a <quote>new-world</quote> distribution providing Linux Kernel
+          &min-kernel; or newer instead.  You may need to contact the vendor
+          of your hardware to get a firmware update for booting a new-world
+          distribution because the boot protocol of LoongArch is stabilized
+          after the launch of the early LoongArch hardwares.
+        </para>
+      </important>
 
       <para>We require the host kernel to support UNIX 98 pseudo terminal
@@ -223,11 +232,11 @@
 ver_check Coreutils      sort     8.1 || bail "Coreutils too old, stop"
 ver_check Bash           bash     3.2
-ver_check Binutils       ld       2.13.1
+ver_check Binutils       ld       2.38
 ver_check Bison          bison    2.7
 ver_check Diffutils      diff     2.8.1
 ver_check Findutils      find     4.2.31
 ver_check Gawk           gawk     4.0.1
-ver_check GCC            gcc      5.2
-ver_check "GCC (C++)"    g++      5.2
+ver_check GCC            gcc      12.2
+ver_check "GCC (C++)"    g++      12.2
 ver_check Grep           grep     2.5.1a
 ver_check Gzip           gzip     1.3.12