Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 7f5d7714523c321369afd8cfa7a211d3a4b5610e)
+++ chapter01/changelog.xml	(revision 320cf3bbb7e6a5d409660fa7c479417a1a189aa3)
@@ -44,4 +44,18 @@
 -->
     <listitem>
+      <para>2019-01-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gzip-1.10. Fixes
+          <ulink url="&lfs-ticket-root;4400">#4400</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2018i. Fixes
+          <ulink url="&lfs-ticket-root;4399">#4399</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-12-27</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 7f5d7714523c321369afd8cfa7a211d3a4b5610e)
+++ chapter01/whatsnew.xml	(revision 320cf3bbb7e6a5d409660fa7c479417a1a189aa3)
@@ -120,7 +120,7 @@
       <para>GRUB-&grub-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Gzip-&gzip-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>IANA-Etc-&iana-etc-version;</para>
Index: chapter05/gzip.xml
===================================================================
--- chapter05/gzip.xml	(revision 7f5d7714523c321369afd8cfa7a211d3a4b5610e)
+++ chapter05/gzip.xml	(revision 320cf3bbb7e6a5d409660fa7c479417a1a189aa3)
@@ -44,9 +44,4 @@
     <title>Installation of Gzip</title>
 
-    <para>First, make some fixes required by glibc-2.28:</para>
-
-<screen><userinput remap="pre">sed -i 's/IO_ftrylockfile/IO_EOF_SEEN/' lib/*.c
-echo "#define _IO_IN_BACKUP 0x100" >> lib/stdio-impl.h</userinput></screen>
-
     <para>Prepare Gzip for compilation:</para>
 
Index: chapter06/gzip.xml
===================================================================
--- chapter06/gzip.xml	(revision 7f5d7714523c321369afd8cfa7a211d3a4b5610e)
+++ chapter06/gzip.xml	(revision 320cf3bbb7e6a5d409660fa7c479417a1a189aa3)
@@ -42,9 +42,4 @@
     <title>Installation of Gzip</title>
 
-    <para>First, make some fixes required by glibc-2.28:</para>
-
-<screen><userinput remap="pre">sed -i 's/IO_ftrylockfile/IO_EOF_SEEN/' lib/*.c
-echo "#define _IO_IN_BACKUP 0x100" >> lib/stdio-impl.h</userinput></screen>
-
     <para>Prepare Gzip for compilation:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision 7f5d7714523c321369afd8cfa7a211d3a4b5610e)
+++ general.ent	(revision 320cf3bbb7e6a5d409660fa7c479417a1a189aa3)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20181227">
+<!ENTITY version         "SVN-20190101">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20181227-systemd">
+<!ENTITY versiond        "20190101-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 27, 2018">
+<!ENTITY releasedate     "January 1, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 7f5d7714523c321369afd8cfa7a211d3a4b5610e)
+++ packages.ent	(revision 320cf3bbb7e6a5d409660fa7c479417a1a189aa3)
@@ -316,8 +316,8 @@
 <!ENTITY grub-ch6-sbu "0.8 SBU">
 
-<!ENTITY gzip-version "1.9">
-<!ENTITY gzip-size "748 KB">
+<!ENTITY gzip-version "1.10">
+<!ENTITY gzip-size "757 KB">
 <!ENTITY gzip-url "&gnu;gzip/gzip-&gzip-version;.tar.xz">
-<!ENTITY gzip-md5 "9492c6ccb2239ff679a5475a7bb543ed">
+<!ENTITY gzip-md5 "691b1221694c3394f1c537df4eee39d3">
 <!ENTITY gzip-home "&gnu-software;gzip/">
 <!ENTITY gzip-ch5-du "10 MB">
@@ -675,8 +675,8 @@
 <!ENTITY texinfo-ch6-sbu "1.1 SBU">
 
-<!ENTITY tzdata-version "2018g">
-<!ENTITY tzdata-size "358 KB">
+<!ENTITY tzdata-version "2018i">
+<!ENTITY tzdata-size "369 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "e71cb1f9d8d53c43904d79d7aeeedc1b">
+<!ENTITY tzdata-md5 "b3f0a1a789480a036e58466cd0702477">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 