Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter01/changelog.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -42,22 +42,34 @@
 
     <listitem>
-      <para>2024-05-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Add security fix to glibc. Fixes
-          <ulink url='&lfs-ticket-root;5481'>#5481</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.8.8. Fixes
-          <ulink url='&lfs-ticket-root;5480'>#5480</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to ncurses-6.5. Fixes
-          <ulink url='&lfs-ticket-root;5483'>#5483</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision='sysv'>
+      <para>2024-05-11</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-9.1.0405. Addresses
+          <ulink url='&lfs-ticket-root;4500'>#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.40.1. Fixes
+          <ulink url='&lfs-ticket-root;5482'>#5482</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-6.8.9. Fixes
+          <ulink url='&lfs-ticket-root;5484'>#5484</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to jinja2-3.1.4 (Python mpdule). Fixes
+          <ulink url='&lfs-ticket-root;5485'>#5485</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20240502. Addresses
+          <ulink url='&lfs-ticket-root;5006'>#5006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gcc-14.1.0. Fixes
+          <ulink url='&lfs-ticket-root;5486'>#5486</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2024-04-16</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter01/whatsnew.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -93,7 +93,7 @@
       <para>Gawk-&gawk-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>GCC-&gcc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
        <para>GDBM-&gdbm-version;</para>
@@ -135,7 +135,7 @@
       <para>IPRoute2-&iproute2-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Jinja2-&jinja2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
@@ -195,7 +195,7 @@
       <para>MPFR-&mpfr-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Ncurses-&ncurses-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Ninja-&ninja-version;</para>
@@ -294,7 +294,4 @@
     <listitem>
       <para>Lz4-&lz4-version;</para>
-    </listitem>
-    <listitem>
-      <para>glibc-2.39-upstream_fix-1.patch</para>
     </listitem>
   </itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter03/patches.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -60,13 +60,13 @@
       </listitem>
     </varlistentry>
-<!--
+
     <varlistentry>
-      <term>Coreutils Chmod Fix Patch - <token>&coreutils-chmod-patch-size;</token>:</term>
+      <term>Expect GCC14 Patch - <token>&expect-gcc14-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&coreutils-chmod-patch;"/></para>
-        <para>MD5 sum: <literal>&coreutils-chmod-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&expect-gcc14-patch;"/></para>
+        <para>MD5 sum: <literal>&expect-gcc14-patch-md5;</literal></para>
       </listitem>
    </varlistentry>
--->
+
 <!--
     <varlistentry>
@@ -77,13 +77,13 @@
       </listitem>
     </varlistentry>
--->
+
     <varlistentry>
-      <term>Glibc Upstream Fix Patch - <token>&glibc-upstream-patch-size;</token>:</term>
+      <term>Glibc Upstream Fixes Patch - <token>&glibc-upstream-fixes-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&glibc-upstream-patch;"/></para>
-        <para>MD5 sum: <literal>&glibc-upstream-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&glibc-upstream-fixes-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-upstream-fixes-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry>
       <term>Glibc FHS Patch - <token>&glibc-fhs-patch-size;</token>:</term>
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter06/bash.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -49,5 +49,6 @@
             --build=$(sh support/config.guess) \
             --host=$LFS_TGT                    \
-            --without-bash-malloc</userinput></screen>
+            --without-bash-malloc              \
+            bash_cv_strtold_broken=no</userinput></screen>
 
     <variablelist>
Index: chapter08/automake.xml
===================================================================
--- chapter08/automake.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter08/automake.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -63,5 +63,6 @@
     logical cores you want to use if you don't want to use all.</para>
 
-    <para>The test t/subobj.sh is known to fail.</para>
+    <para>Out of 2926 tests, 52 are known to fail due to incompatibilities in the 
+    test scripts with gcc-14.1 or later.</para>
 
     <para>Install the package:</para>
Index: chapter08/bash.xml
===================================================================
--- chapter08/bash.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter08/bash.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -50,4 +50,5 @@
             --without-bash-malloc     \
             --with-installed-readline \
+            bash_cv_strtold_broken=no \
             --docdir=/usr/share/doc/bash-&bash-version;</userinput></screen>
 
Index: chapter08/expect.xml
===================================================================
--- chapter08/expect.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter08/expect.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -67,4 +67,8 @@
     GDBM, and of course Expect itself) will fail catastrophically, and other
     subtle breakages may also happen.</para>
+
+    <para>Now, make some changes to allow the package with gcc-14.1 or later:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../expect-&expect-version;-gcc14-1.patch</userinput></screen>
 
     <para>Prepare Expect for compilation:</para>
Index: chapter08/gcc.xml
===================================================================
--- chapter08/gcc.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter08/gcc.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -41,18 +41,5 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
-<!--
-    <para>At first, fix an issue breaking
-    <filename class="libraryfile">libasan.a</filename> building this package
-    with Glibc-2.34 or later:</para>
-
-<screen><userinput remap="pre">sed -e '/static.*SIGSTKSZ/d' \
-    -e 's/return kAltStackSize/return SIGSTKSZ * 4/' \
-    -i libsanitizer/sanitizer_common/sanitizer_posix_libcdep.cpp</userinput></screen>
--->
-<!--
-    <para>First fix a problem with the latest version of glibc:</para>
-
-    <screen><userinput remap="pre">patch -Np1 -i ../&gcc-upstream-fixes-patch;</userinput></screen>
--->
+
     <para>If building on x86_64, change the default directory name for 64-bit
     libraries to <quote>lib</quote>:</para>
@@ -77,4 +64,5 @@
              --enable-default-pie     \
              --enable-default-ssp     \
+             --enable-host-pie        \
              --disable-multilib       \
              --disable-bootstrap      \
@@ -148,6 +136,6 @@
       important, but it takes a long time. First-time builders are
       encouraged to run the test suite.  The time to run the tests can be
-      reduced significantly by adding -jx to the <command>make -k check</command> command below,
-      where x is the number of CPU cores on your system.</para>
+      reduced significantly by adding -jx to the <command>make -k check</command> 
+      command below, where x is the number of CPU cores on your system.</para>
     </important>
 
@@ -156,4 +144,12 @@
 
 <screen><userinput remap="test">ulimit -s 32768</userinput></screen>
+
+    <para>Now remove/fix several known test failures:</para>
+
+<screen><userinput remap="test">sed -e '/cpython/d'               -i ../gcc/testsuite/gcc.dg/plugin/plugin.exp
+sed -e 's/no-pic /&amp;-no-pie /'     -i ../gcc/testsuite/gcc.target/i386/pr113689-1.c
+sed -e 's/300000/(1|300000)/'     -i ../libgomp/testsuite/libgomp.c-c++-common/pr109062.c
+sed -e 's/{ target nonpic } //' \
+    -e '/GOTPCREL/d'              -i ../gcc/testsuite/gcc.target/i386/fentryname3.c</userinput></screen>
 
     <para>Test the results as a non-privileged user, but do not stop at errors:</para>
@@ -172,12 +168,12 @@
     url="&test-results;"/> and
     <ulink url="https://gcc.gnu.org/ml/gcc-testresults/"/>.</para>
-
+<!--
     <para>
     Eight gcc tests (out of over 185,000):
-    <!-- https://gcc.gnu.org/PR106375 --><filename>pr56837.c</filename>
+    <!- - https://gcc.gnu.org/PR106375 - -><filename>pr56837.c</filename>
     and seven tests in the <filename class='directory'>analyzer</filename>
     directory are known to fail.
 
-    <!-- https://gcc.gnu.org/PR109353 -->
+    <!- - https://gcc.gnu.org/PR109353 - ->
     One libstdc++ test (out of over 15000), <filename>copy.cc</filename>, is
     known to fail.
@@ -191,7 +187,8 @@
     <filename class='directory'>vect</filename> directory are known to fail
     if the hardware does not support AVX.</para>
-
-    <para>A few unexpected failures cannot always be avoided. The GCC developers
-    are usually aware of these issues, but have not resolved them yet.
+-->
+    <para>A few unexpected failures cannot always be avoided. In some cases
+    test failures depend on the specific hardware of the system.<!--The GCC developers
+    are usually aware of these issues, but have not resolved them yet.-->
     Unless the test results are vastly different from those at the above URL,
     it is safe to continue.</para>
Index: chapter08/glibc.xml
===================================================================
--- chapter08/glibc.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter08/glibc.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -50,9 +50,10 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-fhs-patch;</userinput></screen>
-
-    <para>Now fix a security vulnerability:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
-
+<!--
+    <para>Now fix two security vulnerabilities and a regression causing the
+    posix_memalign() function very slow in some conditions:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-fixes-patch;</userinput></screen>
+-->
     <para>The Glibc documentation recommends building Glibc
     in a dedicated build directory:</para>
Index: chapter08/inetutils.xml
===================================================================
--- chapter08/inetutils.xml	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ chapter08/inetutils.xml	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -40,4 +40,8 @@
   <sect2 role="installation">
     <title>Installation of Inetutils</title>
+
+    <para>First, make the package build with gcc-14.1 or later::</para>
+
+<screen><userinput remap="pre">sed -i 's/def HAVE_TERMCAP_TGETENT/ 1/' telnet/telnet.c</userinput></screen>
 
     <para>Prepare Inetutils for compilation:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ packages.ent	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -219,8 +219,8 @@
 <!ENTITY gawk-fin-sbu "0.1 SBU">
 
-<!ENTITY gcc-version "13.2.0">
-<!ENTITY gcc-size "85,800 KB">
+<!ENTITY gcc-version "14.1.0">
+<!ENTITY gcc-size "90,104 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
-<!ENTITY gcc-md5 "e0e48554cc6e4f261d55ddee9ab69075">
+<!ENTITY gcc-md5 "24195dca80ded5e0551b533f46a4481d">
 <!ENTITY gcc-home "https://gcc.gnu.org/">
 <!ENTITY gcc-tmpp1-du "4.1 GB">
@@ -318,8 +318,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20240412">
+<!ENTITY iana-etc-version "20240502">
 <!ENTITY iana-etc-size "590 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "d53e2729bb4f3ef9f5cdc23a4bbb6739">
+<!ENTITY iana-etc-md5 "73921d46a934eb5ac4286fc8111c2174">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -350,8 +350,8 @@
 <!ENTITY iproute2-fin-sbu "0.1 SBU">
 
-<!ENTITY jinja2-version "3.1.3">
-<!ENTITY jinja2-size "264 KB">
-<!ENTITY jinja2-url "&pypi-src;/J/Jinja2/Jinja2-&jinja2-version;.tar.gz">
-<!ENTITY jinja2-md5 "caf5418c851eac59e70a78d9730d4cea">
+<!ENTITY jinja2-version "3.1.4">
+<!ENTITY jinja2-size "235 KB">
+<!ENTITY jinja2-url "&pypi-src;/J/Jinja2/jinja2-&jinja2-version;.tar.gz">
+<!ENTITY jinja2-md5 "02ca9a6364c92e83d14b037bef4732bc">
 <!ENTITY jinja2-home "https://jinja.palletsprojects.com/en/3.1.x/">
 <!ENTITY jinja2-fin-du "3.2 MB">
@@ -432,10 +432,10 @@
 <!ENTITY linux-major-version "6">
 <!ENTITY linux-minor-version "8">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "9">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "139,243 KB">
+<!ENTITY linux-size "139,241 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "d802ace782a45e14cc4a8efee7510dfd">
+<!ENTITY linux-md5 "95b3e4b76c4449bad8dd39ec16140a62">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 6.5.3 / gcc-13.2.0 on x86_64 with -j4 : minimum is
@@ -527,10 +527,13 @@
 <!ENTITY mpfr-fin-sbu "0.3 SBU">
 
-<!ENTITY ncurses-version "6.5">
+<!ENTITY ncurses-release "6.4">
+<!ENTITY ncurses-version "&ncurses-release;-20230520">
 <!ENTITY ncurses-size "2,156 KB">
-<!ENTITY ncurses-url "https://invisible-mirror.net/archives/ncurses/ncurses-&ncurses-version;.tar.gz">
-<!ENTITY ncurses-md5 "ac2d2629296f04c8537ca706b6977687">
+<!-- switch back to invisible-mirror.net for 6.5 -->
+<!--ENTITY ncurses-url "https://invisible-mirror.net/archives/ncurses/ncurses-&ncurses-version;.tar.gz"-->
+<!ENTITY ncurses-url "&anduin-sources;/ncurses-&ncurses-version;.tar.xz">
+<!ENTITY ncurses-md5 "c5367e829b6d9f3f97b280bb3e6bfbc3">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
-<!ENTITY ncurses-tmp-du "3,603 KB">
+<!ENTITY ncurses-tmp-du "51 MB">
 <!ENTITY ncurses-tmp-sbu "0.3 SBU">
 <!ENTITY ncurses-fin-du "45 MB">
@@ -734,8 +737,8 @@
 
 <!ENTITY util-linux-minor "2.40">
-<!ENTITY util-linux-version "2.40"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "8,558 KB">
+<!ENTITY util-linux-version "2.40.1"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "8,617 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "46d1423122d310dfd022c799e1e4e259">
+<!ENTITY util-linux-md5 "42ca7b92a3d77087de362f43ac29a3df">
 <!ENTITY util-linux-home "https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/">
 <!ENTITY util-linux-tmp-du "172 MB">
@@ -744,5 +747,5 @@
 <!ENTITY util-linux-fin-sbu "0.5 SBU">
 
-<!ENTITY vim-version "9.1.0330">
+<!ENTITY vim-version "9.1.0405">
 <!-- <!ENTITY vim-majmin "90"> -->
 <!ENTITY vim-docdir "vim/vim91">
Index: patches.ent
===================================================================
--- patches.ent	(revision 1a7ac41bcc04ebc7e2e57a7f5870a8d6aba40c87)
+++ patches.ent	(revision 340e17adc67a1d7dc050fed51e384122f425e458)
@@ -15,12 +15,16 @@
 <!ENTITY coreutils-i18n-patch-size "159 KB">
 
+<!ENTITY expect-gcc14-patch "expect-&expect-version;-gcc14-1.patch">
+<!ENTITY expect-gcc14-patch-md5 "0b8b5ac411d011263ad40b0664c669f0">
+<!ENTITY expect-gcc14-patch-size "7.8 KB">
+
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">
 <!ENTITY glibc-fhs-patch-md5 "9a5997c3452909b1769918c759eff8a2">
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
-
-<!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_fix-2.patch">
-<!ENTITY glibc-upstream-patch-md5 "e9f8f23746755bf880772cfa59c1896c">
-<!ENTITY glibc-upstream-patch-size "8.0 KB">
-
+<!--
+<!ENTITY glibc-upstream-fixes-patch "glibc-&glibc-version;-upstream_fixes-4.patch">
+<!ENTITY glibc-upstream-fixes-patch-md5 "66e843b00688c641c9bdda684db45b43">
+<!ENTITY glibc-upstream-fixes-patch-size "36 KB">
+-->
 <!ENTITY kbd-backspace-patch "kbd-&kbd-version;-backspace-1.patch">
 <!ENTITY kbd-backspace-patch-md5 "f75cca16a38da6caa7d52151f7136895">