Index: appendixa/autoconf.xml
===================================================================
--- appendixa/autoconf.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/autoconf.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-autoconf">
+<sect1 id="aa-autoconf" xreflabel="Autoconf">
 <title>Autoconf</title>
 <?dbhtml filename="autoconf.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-autoconf"/>.</para>
 
 &aa-autoconf-down;
Index: appendixa/automake.xml
===================================================================
--- appendixa/automake.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/automake.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-automake">
+<sect1 id="aa-automake" xreflabel="Automake">
 <title>Automake</title>
 <?dbhtml filename="automake.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-automake"/>.</para>
 
 &aa-automake-down;
Index: appendixa/bash.xml
===================================================================
--- appendixa/bash.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/bash.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-bash">
+<sect1 id="aa-bash" xreflabel="Bash">
 <title>Bash</title>
 <?dbhtml filename="bash.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-bash"/>.</para>
 
 &aa-bash-down;
Index: appendixa/bin86.xml
===================================================================
--- appendixa/bin86.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/bin86.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-bin86">
+<sect1 id="aa-bin86" xreflabel="Bin86">
 <title>Bin86</title>
 <?dbhtml filename="bin86.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-bin86"/>.</para>
 
 &aa-bin86-down;
Index: appendixa/binutils.xml
===================================================================
--- appendixa/binutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/binutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-binutils">
+<sect1 id="aa-binutils" xreflabel="Binutils">
 <title>Binutils</title>
 <?dbhtml filename="binutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-binutils"/>.</para>
 
 &aa-binutils-down;
Index: appendixa/bison.xml
===================================================================
--- appendixa/bison.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/bison.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-bison">
+<sect1 id="aa-bison" xreflabel="Bison">
 <title>Bison</title>
 <?dbhtml filename="bison.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-bison"/>.</para>
 
 &aa-bison-down;
Index: appendixa/bootscripts.xml
===================================================================
--- appendixa/bootscripts.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/bootscripts.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-bootscripts">
+<sect1 id="aa-bootscripts" xreflabel="LFS-Bootscripts">
 <title>LFS-Bootscripts</title>
 <?dbhtml filename="bootscripts.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-bootscripts"/>.</para>
 
 &aa-bootscripts-down;
Index: appendixa/bzip2.xml
===================================================================
--- appendixa/bzip2.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/bzip2.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-bzip2">
+<sect1 id="aa-bzip2" xreflabel="Bzip2">
 <title>Bzip2</title>
 <?dbhtml filename="bzip2.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-bzip2"/>.</para>
 
 &aa-bzip2-down;
Index: appendixa/coreutils.xml
===================================================================
--- appendixa/coreutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/coreutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-coreutils">
+<sect1 id="aa-coreutils" xreflabel="Coreutils">
 <title>Coreutils</title>
 <?dbhtml filename="coreutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-coreutils"/>.</para>
 
 &aa-coreutils-down;
Index: appendixa/diffutils.xml
===================================================================
--- appendixa/diffutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/diffutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-diffutils">
+<sect1 id="aa-diffutils" xreflabel="Diffutils">
 <title>Diffutils</title>
 <?dbhtml filename="diffutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-diffutils"/>.</para>
 
 &aa-diffutils-down;
Index: appendixa/e2fsprogs.xml
===================================================================
--- appendixa/e2fsprogs.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/e2fsprogs.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-e2fsprogs">
+<sect1 id="aa-e2fsprogs" xreflabel="E2fsprogs">
 <title>E2fsprogs</title>
 <?dbhtml filename="e2fsprogs.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-e2fsprogs"/>.</para>
 
 &aa-e2fsprogs-down;
Index: appendixa/ed.xml
===================================================================
--- appendixa/ed.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/ed.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-ed">
+<sect1 id="aa-ed" xreflabel="Ed">
 <title>Ed</title>
 <?dbhtml filename="ed.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-ed"/>.</para>
 
 &aa-ed-down;
Index: appendixa/file.xml
===================================================================
--- appendixa/file.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/file.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-file">
+<sect1 id="aa-file" xreflabel="File">
 <title>File</title>
 <?dbhtml filename="file.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-file"/>.</para>
 
 &aa-file-down;
Index: appendixa/fileutils.xml
===================================================================
--- appendixa/fileutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/fileutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-fileutils">
+<sect1 id="aa-fileutils" xreflabel="Fileutils">
 <title>Fileutils</title>
 <?dbhtml filename="fileutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-fileutils"/>.</para>
 
 &aa-fileutils-down;
Index: appendixa/findutils.xml
===================================================================
--- appendixa/findutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/findutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-findutils">
+<sect1 id="aa-findutils" xreflabel="Findutils">
 <title>Findutils</title>
 <?dbhtml filename="findutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-findutils"/>.</para>
 
 &aa-findutils-down;
Index: appendixa/flex.xml
===================================================================
--- appendixa/flex.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/flex.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-flex">
+<sect1 id="aa-flex" xreflabel="Flex">
 <title>Flex</title>
 <?dbhtml filename="flex.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-flex"/>.</para>
 
 &aa-flex-down;
Index: appendixa/gawk.xml
===================================================================
--- appendixa/gawk.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/gawk.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-gawk">
+<sect1 id="aa-gawk" xreflabel="Gawk">
 <title>Gawk</title>
 <?dbhtml filename="gawk.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-gawk"/>.</para>
 
 &aa-gawk-down;
Index: appendixa/gcc.xml
===================================================================
--- appendixa/gcc.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/gcc.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-gcc">
+<sect1 id="aa-gcc" xreflabel="GCC">
 <title>GCC</title>
 <?dbhtml filename="gcc.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-gcc"/>.</para>
 
 &aa-gcc-down;
Index: appendixa/gettext.xml
===================================================================
--- appendixa/gettext.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/gettext.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-gettext">
+<sect1 id="aa-gettext" xreflabel="Gettext">
 <title>Gettext</title>
 <?dbhtml filename="gettext.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-gettext"/>.</para>
 
 &aa-gettext-down;
Index: appendixa/glibc.xml
===================================================================
--- appendixa/glibc.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/glibc.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-glibc">
+<sect1 id="aa-glibc" xreflabel="Glibc">
 <title>Glibc</title>
 <?dbhtml filename="glibc.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-glibc"/>.</para>
 
 &aa-glibc-down;
Index: appendixa/grep.xml
===================================================================
--- appendixa/grep.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/grep.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-grep">
+<sect1 id="aa-grep" xreflabel="Grep">
 <title>Grep</title>
 <?dbhtml filename="grep.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-grep"/>.</para>
 
 &aa-grep-down;
Index: appendixa/groff.xml
===================================================================
--- appendixa/groff.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/groff.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-groff">
+<sect1 id="aa-groff" xreflabel="Groff">
 <title>Groff</title>
 <?dbhtml filename="groff.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-groff"/>.</para>
 
 &aa-groff-down;
Index: appendixa/gzip.xml
===================================================================
--- appendixa/gzip.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/gzip.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-gzip">
+<sect1 id="aa-gzip" xreflabel="Gzip">
 <title>Gzip</title>
 <?dbhtml filename="gzip.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-gzip"/>.</para>
 
 &aa-gzip-down;
Index: appendixa/inetutils.xml
===================================================================
--- appendixa/inetutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/inetutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-inetutils">
+<sect1 id="aa-inetutils" xreflabel="Inetutils">
 <title>Inetutils</title>
 <?dbhtml filename="inetutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-inetutils"/>.</para>
 
 &aa-inetutils-down;
Index: appendixa/kbd.xml
===================================================================
--- appendixa/kbd.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/kbd.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-kbd">
+<sect1 id="aa-kbd" xreflabel="Kbd">
 <title>Kbd</title>
 <?dbhtml filename="kbd.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-kbd"/>.</para>
 
 &aa-kbd-down;
Index: appendixa/kernel.xml
===================================================================
--- appendixa/kernel.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/kernel.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-kernel">
+<sect1 id="aa-kernel" xreflabel="Linux">
 <title>Linux (the kernel)</title>
 <?dbhtml filename="kernel.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch08-kernel"/>.</para>
 
 &aa-kernel-down;
Index: appendixa/less.xml
===================================================================
--- appendixa/less.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/less.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-less">
+<sect1 id="aa-less" xreflabel="Less">
 <title>Less</title>
 <?dbhtml filename="less.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-less"/>.</para>
 
 &aa-less-down;
Index: appendixa/lfs-utils.xml
===================================================================
--- appendixa/lfs-utils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/lfs-utils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-lfs-utils">
+<sect1 id="aa-lfs-utils" xreflabel="Lfs-Utils">
 <title>Lfs-Utils</title>
 <?dbhtml filename="lfs-utils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-lfs-utils"/>.</para>
 
 &aa-lfs-utils-down;
Index: appendixa/libtool.xml
===================================================================
--- appendixa/libtool.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/libtool.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-libtool">
+<sect1 id="aa-libtool" xreflabel="Libtool">
 <title>Libtool</title>
 <?dbhtml filename="libtool.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-libtool"/>.</para>
 
 &aa-libtool-down;
Index: appendixa/lilo.xml
===================================================================
--- appendixa/lilo.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/lilo.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-lilo"> 
+<sect1 id="aa-lilo" xreflabel="Lilo">
 <title>Lilo</title>
 <?dbhtml filename="lilo.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-lilo"/>.</para>
 
 &aa-lilo-down;
Index: appendixa/m4.xml
===================================================================
--- appendixa/m4.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/m4.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-m4">
+<sect1 id="aa-m4" xreflabel="M4">
 <title>M4</title>
 <?dbhtml filename="m4.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-m4"/>.</para>
 
 &aa-m4-down;
Index: appendixa/make.xml
===================================================================
--- appendixa/make.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/make.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-make">
+<sect1 id="aa-make" xreflabel="Make">
 <title>Make</title>
 <?dbhtml filename="make.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-make"/>.</para>
 
 &aa-make-down;
Index: appendixa/makedev.xml
===================================================================
--- appendixa/makedev.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/makedev.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-makedev">
+<sect1 id="aa-makedev" xreflabel="Makedev">
 <title>MAKEDEV</title>
 <?dbhtml filename="makedev.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-makedev"/>.</para>
 
 &aa-makedev-down;
Index: appendixa/man.xml
===================================================================
--- appendixa/man.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/man.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-man">
+<sect1 id="aa-man" xreflabel="Man">
 <title>Man</title>
 <?dbhtml filename="man.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-man"/>.</para>
 
 &aa-man-down;
Index: appendixa/manpages.xml
===================================================================
--- appendixa/manpages.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/manpages.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-man-pages">
+<sect1 id="aa-man-pages" xreflabel="Man-pages">
 <title>Man-pages</title>
 <?dbhtml filename="man-pages.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-manpages"/>.</para>
 
 &aa-manpages-down;
Index: appendixa/modutils.xml
===================================================================
--- appendixa/modutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/modutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-modutils">
+<sect1 id="aa-modutils" xreflabel="Modutils">
 <title>Modutils</title>
 <?dbhtml filename="modutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-modutils"/>.</para>
 
 &aa-modutils-down;
Index: appendixa/ncurses.xml
===================================================================
--- appendixa/ncurses.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/ncurses.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-ncurses">
+<sect1 id="aa-ncurses" xreflabel="Ncurses">
 <title>Ncurses</title>
 <?dbhtml filename="ncurses.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-ncurses"/>.</para>
 
 &aa-ncurses-down;
Index: appendixa/nettools.xml
===================================================================
--- appendixa/nettools.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/nettools.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-ns-nettools">
+<sect1 id="aa-net-tools" xreflabel="Net-tools">
 <title>Net-tools</title>
 <?dbhtml filename="net-tools.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-nettools"/>.</para>
 
 &aa-nettools-down;
Index: appendixa/patch.xml
===================================================================
--- appendixa/patch.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/patch.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-patch">
+<sect1 id="aa-patch" xreflabel="Patch">
 <title>Patch</title>
 <?dbhtml filename="patch.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-patch"/>.</para>
 
 &aa-patch-down;
Index: appendixa/perl.xml
===================================================================
--- appendixa/perl.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/perl.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-perl">
+<sect1 id="aa-perl" xreflabel="Perl">
 <title>Perl</title>
 <?dbhtml filename="perl.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-perl"/>.</para>
 
 &aa-perl-down;
Index: appendixa/procinfo.xml
===================================================================
--- appendixa/procinfo.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/procinfo.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-procinfo">
+<sect1 id="aa-procinfo" xreflabel="Procinfo">
 <title>Procinfo</title>
 <?dbhtml filename="procinfo.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-procinfo"/>.</para>
 
 &aa-procinfo-down;
Index: appendixa/procps.xml
===================================================================
--- appendixa/procps.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/procps.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-procps">
+<sect1 id="aa-procps" xreflabel="Procps">
 <title>Procps</title>
 <?dbhtml filename="procps.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-procps"/>.</para>
 
 &aa-procps-down;
Index: appendixa/psmisc.xml
===================================================================
--- appendixa/psmisc.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/psmisc.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-psmisc">
+<sect1 id="aa-psmisc" xreflabel="Psmisc">
 <title>Psmisc</title>
 <?dbhtml filename="psmisc.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-psmisc"/>.</para>
 
 &aa-psmisc-down;
Index: appendixa/sed.xml
===================================================================
--- appendixa/sed.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/sed.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-sed">
+<sect1 id="aa-sed" xreflabel="Sed">
 <title>Sed</title>
 <?dbhtml filename="sed.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-sed"/>.</para>
 
 &aa-sed-down;
Index: appendixa/shadowpwd.xml
===================================================================
--- appendixa/shadowpwd.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/shadowpwd.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-shadow">
+<sect1 id="aa-shadow" xreflabel="Shadow">
 <title>Shadow</title>
 <?dbhtml filename="shadow.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-shadow"/>.</para>
 
 &aa-shadowpwd-down;
Index: appendixa/sysklogd.xml
===================================================================
--- appendixa/sysklogd.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/sysklogd.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-sysklogd">
+<sect1 id="aa-sysklogd" xreflabel="Sysklogd">
 <title>Sysklogd</title>
 <?dbhtml filename="sysklogd.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-sysklogd"/>.</para>
 
 &aa-sysklogd-down;
Index: appendixa/sysvinit.xml
===================================================================
--- appendixa/sysvinit.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/sysvinit.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-sysvinit">
+<sect1 id="aa-sysvinit" xreflabel="Sysvinit">
 <title>Sysvinit</title>
 <?dbhtml filename="sysvinit.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-sysvinit"/>.</para>
 
 &aa-sysvinit-down;
Index: appendixa/tar.xml
===================================================================
--- appendixa/tar.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/tar.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-tar">
+<sect1 id="aa-tar" xreflabel="Tar">
 <title>Tar</title>
 <?dbhtml filename="tar.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-tar"/>.</para>
 
 &aa-tar-down;
Index: appendixa/texinfo.xml
===================================================================
--- appendixa/texinfo.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/texinfo.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-texinfo">
+<sect1 id="aa-texinfo" xreflabel="Texinfo">
 <title>Texinfo</title>
 <?dbhtml filename="texinfo.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-texinfo"/>.</para>
 
 &aa-texinfo-down;
Index: appendixa/textutils.xml
===================================================================
--- appendixa/textutils.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/textutils.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-textutils">
+<sect1 id="aa-textutils" xreflabel="Textutils">
 <title>Textutils</title>
 <?dbhtml filename="textutils.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-textutils"/>.</para>
 
 &aa-textutils-down;
Index: appendixa/utillinux.xml
===================================================================
--- appendixa/utillinux.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/utillinux.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-utillinux">
+<sect1 id="aa-utillinux" xreflabel="Util-linux">
 <title>Util-linux</title>
 <?dbhtml filename="util-linux.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-utillinux"/>.</para>
 
 &aa-utillinux-down;
Index: appendixa/vim.xml
===================================================================
--- appendixa/vim.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/vim.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-vim">
+<sect1 id="aa-vim" xreflabel="Vim">
 <title>Vim</title>
 <?dbhtml filename="vim.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-vim"/>.</para>
 
 &aa-vim-down;
Index: appendixa/zlib.xml
===================================================================
--- appendixa/zlib.xml	(revision 7acaebec5dfe7f928afda74b0cc25eec04c9c11e)
+++ appendixa/zlib.xml	(revision 348d79f8d705c7db59858ed1ee3d1b31671952c0)
@@ -1,5 +1,7 @@
-<sect1 id="aa-zlib">
+<sect1 id="aa-zlib" xreflabel="Zlib">
 <title>Zlib</title>
 <?dbhtml filename="zlib.html" dir="appendixa"?>
+
+<para>For installation instructions see <xref linkend="ch06-zlib"/>.</para>
 
 &aa-zlib-down;