Index: chapter06/automake.xml
===================================================================
--- chapter06/automake.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/automake.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -97,5 +97,5 @@
 in the top-level directory. By scanning the
 <filename>configure.in</filename> file, it automatically finds each
-appropriate <filename>Makefile.am</filename> file and generate the
+appropriate <filename>Makefile.am</filename> file and generates the
 corresponding <filename>Makefile.in</filename> file</para>
 <indexterm zone="ch-system-automake automake"><primary sortas="b-automake">automake</primary></indexterm>
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/bash.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -103,6 +103,6 @@
 <term><command>bashbug</command></term>
 <listitem>
-<para>A shell script to help the user compose and mail bug reports
-concerning <command>bash</command> in a standard format</para>
+<para>A shell script to help the user compose and mail standard formatted bug
+reports concerning <command>bash</command>.</para>
 <indexterm zone="ch-system-bash bashbug"><primary sortas="b-bashbug">bashbug</primary></indexterm>
 </listitem>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/binutils.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -67,13 +67,14 @@
 <screen><userinput>make tooldir=/usr</userinput></screen>
 
-<para>Normally, the tooldir (the directory where the executables will
-ultimately be located) is set to <filename
-class="directory">$(exec_prefix)/$(target_alias)</filename>, which
-expands into <filename class="directory">/usr/i686-pc-linux-gnu</filename>. 
-Because this is a custom system, this target-specific directory in <filename
-class="directory">/usr</filename> is not required. This setup would be
-used if the system was used to cross-compile (for example, compiling a
-package on an Intel machine that generates code that can be executed
-on PowerPC machines).</para>
+<para>Normally, the tooldir (the directory where the executables will ultimately
+be located) is set to <filename
+class="directory">$(exec_prefix)/$(target_alias)</filename>. For example, i686
+machines would expand that to <filename
+class="directory">/usr/i686-pc-linux-gnu</filename>. Because this is a custom
+system, this target-specific directory in <filename
+class="directory">/usr</filename> is not required. <filename
+class="directory">$(exec_prefix)/$(target_alias)</filename> would be used if the
+system was used to cross-compile (for example, compiling a package on an Intel
+machine that generates code that can be executed on PowerPC machines).</para>
 
 <beginpage/>
Index: chapter06/bzip2.xml
===================================================================
--- chapter06/bzip2.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/bzip2.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -12,5 +12,5 @@
 <sect2 role="package"><title/>
 <para>The Bzip2 package contains programs for compressing and decompressing
-files. Compressing text files with <command>bzip2</command> yield a much better
+files. Compressing text files with <command>bzip2</command> yields a much better
 compression percentage than with the traditional <command>gzip</command>.</para>
 
@@ -78,6 +78,5 @@
 <seglistitem><seg>bunzip2 (link to bzip2), bzcat (link to bzip2), bzcmp, bzdiff,
 bzegrep, bzfgrep, bzgrep, bzip2, bzip2recover, bzless, and bzmore</seg>
-<seg>libbz2.a, libbz2.so (link to libbz2.so.1.0), libbz2.so.1.0 (link to 
-libbz2.so.&bzip2-version;), and libbz2.so.&bzip2-version;</seg></seglistitem>
+<seg>libbz2.[a,so]</seg></seglistitem>
 </segmentedlist>
 
Index: chapter06/chroot.xml
===================================================================
--- chapter06/chroot.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/chroot.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -46,5 +46,5 @@
 
 <para>It is important that all the commands throughout the remainder
-of this chapter and the following chapters be run from within the
+of this chapter and the following chapters are run from within the
 chroot environment. If you leave this environment for any reason
 (rebooting for example), remember to first mount the <systemitem
Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/coreutils.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -51,11 +51,10 @@
 <screen><userinput>make</userinput></screen>
 
-<para>The test suite of Coreutils makes several assumptions about the
-presence of files and users that are not valid this early in the LFS
-build. Therefore, additional items need to be set up before running
-the tests. Skip down to <quote>Install the package</quote> if
+<para>The test suite of Coreutils makes several invalid assumptions about the
+presence of system users and groups. Therefore, additional items need to be set
+up before running the tests. Skip down to <quote>Install the package</quote> if
 not running the test suite.</para>
 
-<para>Create two dummy groups and a dummy user name:</para>
+<para>Create two dummy groups and a dummy user:</para>
 
 <screen><userinput>echo "dummy1:x:1000:" &gt;&gt; /etc/group
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/createfiles.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -8,5 +8,5 @@
 <?dbhtml filename="createfiles.html"?>
 
-<para>Some programs hard-wire paths to programs which do not yet
+<para>Some programs use hard-wired paths to programs which do not yet
 exist. In order to satisfy these programs, create a number of symbolic
 links which will be replaced by real files throughout the course of
Index: chapter06/creatingdirs.xml
===================================================================
--- chapter06/creatingdirs.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/creatingdirs.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -8,7 +8,6 @@
 <?dbhtml filename="creatingdirs.html"?>
 
-<para>It is time to create some structure in the LFS file system.
-Create a directory tree. Issuing the following commands will create a
-standard tree:</para>
+<para>It is time to create some structure in the LFS file system. Create a
+standard directory tree by issuing the following commands:</para>
  
 <screen><userinput>install -d /{bin,boot,dev,etc/opt,home,lib,mnt}
@@ -44,5 +43,5 @@
 class="directory">/tmp</filename> and <filename
 class="directory">/var/tmp</filename> directories, but cannot remove
-other users' files from them. The latter is prohibited by the
+another user's files from them. The latter is prohibited by the
 so-called <quote>sticky bit,</quote> the highest bit (1) in the 1777
 bit mask.</para>
Index: chapter06/devices.xml
===================================================================
--- chapter06/devices.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/devices.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -25,19 +25,20 @@
 <title>Mounting ramfs and Populating /dev</title>
 
-<para>The ideal way to populate <filename
-class="directory">/dev</filename> is to mount a <systemitem
-class="filesystem">ramfs</systemitem> onto <filename
-class="directory">/dev</filename>, like <systemitem
-class="filesystem">tmpfs</systemitem>, and create the devices on there
-during each bootup. Since the system has not been booted, it is
-necessary to do what the bootscripts would otherwise do and populate
-<filename class="directory">/dev</filename>. Begin by mounting
-<filename class="directory">/dev</filename>:</para>
+<para>The recommended method of populating the <filename
+class="directory">/dev</filename> directory with devices is to mount a virtual
+filesystem (such as <systemitem class="filesystem">ramfs</systemitem> or
+<systemitem class="filesystem">tmpfs</systemitem>) on the <filename
+class="directory">/dev</filename> directory, and allow the devices to be created
+dynamically on that virtual filesystem as they are detected or accessed. This is
+generally done during the boot process. Since this new system has not been
+booted, it is necessary to do what the bootscripts would otherwise do by
+mounting <filename class="directory">/dev</filename>:</para>
 
 <screen><userinput>mount -n -t ramfs none /dev</userinput></screen>
 
-<!-- Edit Me -->
-<para>Since the Udev package will not be installed until later on in the
-process, create a minimal set of device nodes used for building:</para>
+<para>The Udev package is what actually creates the devices in the <filename
+class="directory">/dev</filename> directory. Since it will not be installed
+until later on in the process, manually create the minimal set of device nodes
+needed to complete the building of this system:</para>
 
 <screen><userinput>mknod -m 622 /dev/console c 5 1
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/e2fsprogs.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -255,5 +255,5 @@
 <term><command>mk_cmds</command></term>
 <listitem>
-<para>Converts a table of command names and helps messages into a C
+<para>Converts a table of command names and help messages into a C
 source file suitable for use with the <filename
 class="libraryfile">libss</filename> subsystem library</para>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/gcc.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -48,7 +48,7 @@
 <screen><userinput>patch -Np1 -i ../gcc-&gcc-version;-linkonce-1.patch</userinput></screen>
 
-<para>Apply a sed substitution that will suppress the installation of
-<filename class="libraryfile">libiberty.a</filename>. The version of
-<filename class="libraryfile">libiberty.a</filename> provided by
+<para>Apply a <command>sed</command> substitution that will suppress the
+installation of <filename class="libraryfile">libiberty.a</filename>. The
+version of <filename class="libraryfile">libiberty.a</filename> provided by
 Binutils will be used instead:</para>
 
@@ -88,5 +88,5 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>Some packages expect the C PreProcessor to be installed in the
+<para>Some packages expect the C preprocessor to be installed in the
 <filename class="directory">/lib</filename> directory.
 To support those packages, create this symlink:</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/glibc.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -411,6 +411,5 @@
 <term><command>mtrace</command></term>
 <listitem>
-<para>Reads and interprets a memory trace file and
-ouputs a summary in human-readable format</para>
+<para>Reads and interprets a memory trace file and displays a summary in human-readable format</para>
 <indexterm zone="ch-system-glibc mtrace"><primary sortas="b-mtrace">mtrace</primary></indexterm>
 </listitem>
@@ -636,5 +635,5 @@
 <para>The Name Service Switch libraries,
 containing functions for resolving host names, user names, group names,
-aliases, services, protocols, etc</para>
+aliases, services, protocols, etc.</para>
 <indexterm zone="ch-system-glibc libnss"><primary sortas="c-libnss">libnss</primary></indexterm>
 </listitem>
Index: chapter06/groff.xml
===================================================================
--- chapter06/groff.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/groff.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -172,5 +172,5 @@
 <listitem>
 <para>Is a driver for <command>groff</command> that produces output
-in PCL5 format suitable for an HP Laserjet 4 printer</para>
+in PCL5 format suitable for an HP LaserJet 4 printer</para>
 <indexterm zone="ch-system-groff grolj4"><primary sortas="b-grolj4">grolj4</primary></indexterm>
 </listitem>
@@ -295,5 +295,5 @@
 <term><command>post-grohtml</command></term>
 <listitem>
-<para>Translates the output of GNU <command>troff</command> to html</para>
+<para>Translates the output of GNU <command>troff</command> to HTML</para>
 <indexterm zone="ch-system-groff post-grohtml"><primary sortas="b-post-grohtml">post-grohtml</primary></indexterm>
 </listitem>
@@ -303,5 +303,5 @@
 <term><command>pre-grohtml </command></term>
 <listitem>
-<para>Translates the output of GNU <command>troff</command> to html</para>
+<para>Translates the output of GNU <command>troff</command> to HTML</para>
 <indexterm zone="ch-system-groff pre-grohtml"><primary sortas="b-pre-grohtml">pre-grohtml</primary></indexterm>
 </listitem>
Index: chapter06/gzip.xml
===================================================================
--- chapter06/gzip.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/gzip.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -30,5 +30,5 @@
 <title>Installation of Gzip</title>
 
-<para>Gzip has 2 known security vulnerabilites.  The following patch
+<para>Gzip has 2 known security vulnerabilities.  The following patch
 addresses both of them:</para>
 
@@ -54,5 +54,7 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>Move the programs to the <filename class="directory">/bin</filename> directory:</para>
+<para>Move the <command>gzip</command>program to the <filename
+class="directory">/bin</filename> directory and create some commonly used
+symlinks to it:</para>
 
 <screen><userinput>mv /usr/bin/gzip /bin
Index: chapter06/hotplug.xml
===================================================================
--- chapter06/hotplug.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/hotplug.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -82,5 +82,6 @@
 sortas="b-hotplug">hotplug</primary></indexterm>
 <para>This script is called by default by the Linux kernel when something
-changes in its internal state (e.g., a new device is added or removed)</para>
+changes in its internal state (e.g., a new device is added or an existing device
+is removed)</para>
 </listitem>
 </varlistentry>
Index: chapter06/iproute2.xml
===================================================================
--- chapter06/iproute2.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/iproute2.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -111,5 +111,5 @@
         </term>
         <listitem>
-          <para>Shows the interfaces statistic, including the amount of transmitted
+          <para>Shows the interface statistics, including the amount of transmitted
                 and received packages by interface</para>
           <indexterm zone="ch-system-iproute2 ifstat">
Index: chapter06/make.xml
===================================================================
--- chapter06/make.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/make.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -11,5 +11,5 @@
 
 <sect2 role="package"><title/>
-<para>The Make package contains a program for compiling large packages.</para>
+<para>The Make package contains a program for compiling packages.</para>
 
 <segmentedlist>
Index: chapter06/module-init-tools.xml
===================================================================
--- chapter06/module-init-tools.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/module-init-tools.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -79,12 +79,4 @@
 </varlistentry>
 
-<varlistentry id="genksyms">
-<term><command>genksyms</command></term>
-<listitem>
-<para>Generates symbol version information</para>
-<indexterm zone="ch-system-module-init-tools genksyms"><primary sortas="b-genksyms">genksyms</primary></indexterm>
-</listitem>
-</varlistentry>
-
 <varlistentry id="insmod">
 <term><command>insmod</command></term>
@@ -95,33 +87,10 @@
 </varlistentry>
 
-<varlistentry id="insmod_ksymoops_clean">
-<term><command>insmod_ksymoops_clean</command></term>
+<varlistentry id="insmod.static">
+<term><command>insmod.static</command></term>
 <listitem>
-<para>Deletes saved ksyms and modules not accessed for two days</para>
-<indexterm zone="ch-system-module-init-tools insmod_ksymoops_clean"><primary sortas="b-insmod_ksymoops_clean">insmod_ksymoops_clean</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="kallsyms">
-<term><command>kallsyms</command></term>
-<listitem>
-<para>Extracts all kernel symbols for debugging</para>
-<indexterm zone="ch-system-module-init-tools kallsyms"><primary sortas="b-kallsyms">kallsyms</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="kernelversion">
-<term><command>kernelversion</command></term>
-<listitem>
-<para>Reports the major version of the running kernel</para>
-<indexterm zone="ch-system-module-init-tools kernelversion"><primary sortas="b-kernelversion">kernelversion</primary></indexterm>
-</listitem>
-</varlistentry>
-
-<varlistentry id="ksyms">
-<term><command>ksyms</command></term>
-<listitem>
-<para>Displays exported kernel symbols</para>
-<indexterm zone="ch-system-module-init-tools ksyms"><primary sortas="b-ksyms">ksyms</primary></indexterm>
+<para>A static version of insmod</para>
+<indexterm zone="ch-system-module-init-tools insmod.static"><primary
+sortas="b-insmod.static">insmod.static</primary></indexterm>
 </listitem>
 </varlistentry>
Index: chapter06/perl.xml
===================================================================
--- chapter06/perl.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/perl.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -153,6 +153,7 @@
 <term><command>perl</command></term>
 <listitem>
-<para>Combines some of the best features of C, sed, awk and sh into a
-single swiss-army language</para>
+<para>Combines some of the best features of C, <command>sed</command>,
+<command>awk</command> and <command>sh</command> into a single swiss-army
+language</para>
 <indexterm zone="ch-system-perl perl"><primary sortas="b-perl">perl</primary></indexterm>
 </listitem>
@@ -298,5 +299,5 @@
 <term><command>s2p</command></term>
 <listitem>
-<para>Translates sed to Perl</para>
+<para>Translates <command>sed</command> scripts to Perl</para>
 <indexterm zone="ch-system-perl s2p"><primary sortas="b-s2p">s2p</primary></indexterm>
 </listitem>
Index: chapter06/pwdgroup.xml
===================================================================
--- chapter06/pwdgroup.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/pwdgroup.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -16,6 +16,6 @@
 
 <para>In order for user <emphasis>root</emphasis> to be able to login
-and for the name <quote>root</quote> to be recognized, there need to
-be relevant entries in the <filename>/etc/passwd</filename> and
+and for the name <quote>root</quote> to be recognized, there must be relevant
+entries in the <filename>/etc/passwd</filename> and
 <filename>/etc/group</filename> files.</para>
 
@@ -70,10 +70,10 @@
 <screen><userinput>exec /tools/bin/bash --login +h</userinput></screen>
 
-<para>Note the use of the <parameter>+h</parameter> directive. This
-tells <command>bash</command> not to use its internal path hashing.
-Without this directive, <command>bash</command> would remember the
-paths to binaries it has executed. In order to use the newly compiled
-binaries as soon as they are installed, turn off this function for the
-duration of this chapter.</para>
+<para>Note the use of the <parameter>+h</parameter> directive. This tells
+<command>bash</command> not to use its internal path hashing. Without this
+directive, <command>bash</command> would remember the paths to binaries it has
+executed. In ensure the use of the newly compiled binaries as soon as they are
+installed, the <parameter>+h</parameter> directive will be used for the duration
+of this chapter.</para>
 
 <beginpage/>
Index: chapter06/readline.xml
===================================================================
--- chapter06/readline.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/readline.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -67,5 +67,5 @@
 <screen><userinput>mv /lib/lib{readline,history}.a /usr/lib</userinput></screen>
 
-<para>Next we will remove the old, <filename class="extension">.so</filename> files in
+<para>Next we will remove the <filename class="extension">.so</filename> files in
 <filename class="directory">/lib</filename> and relink them into
 <filename class="directory">/usr/lib</filename>.</para>
Index: chapter06/texinfo.xml
===================================================================
--- chapter06/texinfo.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/texinfo.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -124,5 +124,5 @@
 <listitem>
 <para>Translates the given Texinfo source documents into
-info files, plain text, or HTML</para>
+Info files, plain text, or HTML</para>
 <indexterm zone="ch-system-texinfo makeinfo"><primary sortas="b-makeinfo">makeinfo</primary></indexterm>
 </listitem>
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/vim.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -85,5 +85,5 @@
 <screen><userinput>ln -s vim /usr/bin/vi</userinput></screen>
 
-<para>If the X Window System is going to be installed on the LFS
+<para>If an X Window System is going to be installed on the LFS
 system, it may be necessary to recompile Vim after installing X. Vim
 comes with a GUI version of the editor that requires X and some
Index: chapter06/zlib.xml
===================================================================
--- chapter06/zlib.xml	(revision a9c15b50daad77d7583a4d88dfbc343a758ba232)
+++ chapter06/zlib.xml	(revision 373a7084412bfba56d90b4be70190c3adfcfd050)
@@ -51,7 +51,8 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>Next we will remove the old <filename class="extension">.so</filename> files in
-the <filename class="directory">/lib</filename> directory and relink them
-into <filename class="directory">/usr/lib</filename>:</para>
+<para>The previous command installed a <filename
+class="extension">.so</filename> file in <filename
+class="directory">/lib</filename>. We will remove it and relink it into
+<filename class="directory">/usr/lib</filename>:</para>
 
 <screen><userinput>rm /lib/libz.so
@@ -82,5 +83,5 @@
 <segmentedlist>
 <segtitle>Installed libraries</segtitle>
-<seglistitem><seg>libz[a,so]</seg></seglistitem>
+<seglistitem><seg>libz.[a,so]</seg></seglistitem>
 </segmentedlist>
 