Index: chapter07/changingowner.xml
===================================================================
--- chapter07/changingowner.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter07/changingowner.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -29,8 +29,5 @@
   these files to possible malicious manipulation.</para>
 
-  <para>To avoid this issue, you could add the <systemitem
-  class="username">lfs</systemitem> user to the new LFS system later when
-  creating the <filename>/etc/passwd</filename> file, taking care to assign it
-  the same user and group IDs as on the host system. Better yet, change the
+  <para>To address this issue, change the
   ownership of the <filename class="directory">$LFS/*</filename> directories to
   user <systemitem class="username">root</systemitem> by running the following
Index: chapter07/chroot.xml
===================================================================
--- chapter07/chroot.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter07/chroot.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -11,12 +11,13 @@
   <title>Entering the Chroot Environment</title>
 
-  <para>Now that all the packages which depend on themselves for being built
-  are on the system, it is time to enter the chroot environment to finish
-  installing the remaining temporary tools. This environment will be in use
-  also for installing the final system. As user <systemitem
+  <para>Now that all the packages which are required to build the rest of the
+  needed tools are on the system, it is time to enter the chroot environment to
+  finish installing the remaining temporary tools. This environment will be in
+  use also for installing the final system. As user <systemitem
   class="username">root</systemitem>, run the following command to enter the
-  realm that is, at the moment, populated with only the temporary tools:</para>
+  environment that is, at the moment, populated with only the temporary
+  tools:</para>
 
-<screen role="nodump"><userinput>chroot "$LFS" /usr/bin/env -i \
+<screen role="nodump"><userinput>chroot "$LFS" /usr/bin/env -i   \
     HOME=/root                  \
     TERM="$TERM"                \
@@ -32,10 +33,10 @@
   variable inside chroot to the same value as outside chroot. This variable is
   needed for programs like <command>vim</command> and <command>less</command>
-  to operate properly.  If other variables are needed, such as
+  to operate properly.  If other variables are desired, such as
   <envar>CFLAGS</envar> or <envar>CXXFLAGS</envar>, this is a good place to set
   them again.</para>
 
   <para>From this point on, there is no need to use the
-  <envar>LFS</envar> variable anymore, because all work will be restricted
+  <envar>LFS</envar> variable anymore because all work will be restricted
   to the LFS file system.  This is because the Bash shell is told that
   <filename class="directory">$LFS</filename> is now the root
@@ -43,5 +44,5 @@
 
   <para>Notice that <filename class="directory">/tools/bin</filename> is not
-  anymore in the <envar>PATH</envar>. This means that a temporary tool will no longer be
+  in the <envar>PATH</envar>. This means that a temporary tool will no longer be
   used once its final version is installed. This occurs when the shell does not
   <quote>remember</quote> the locations of executed binaries&mdash;for this
Index: chapter07/createfiles.xml
===================================================================
--- chapter07/createfiles.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter07/createfiles.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -77,5 +77,5 @@
 
   <para>The actual password for <systemitem class="username">root</systemitem>
-  (the <quote>x</quote> used here is just a placeholder) will be set later.</para>
+  will be set later.</para>
 
   <para>Create the <filename>/etc/group</filename> file by running the following
@@ -146,14 +146,14 @@
 
   <para>The created groups are not part of any standard&mdash;they are groups
-  decided on in part by the requirements of the Udev configuration in the next
-  chapter, and in part by common convention employed by a number of existing
-  Linux distributions. In addition, some test suites rely on specific users
-  or groups.  The Linux Standard Base (LSB, available at <ulink
-  url="http://www.linuxbase.org"/>) recommends only that, besides the group
-  <systemitem class="groupname">root</systemitem> with a Group ID (GID) of 0,
-  a group <systemitem class="groupname">bin</systemitem> with a GID of 1 be
-  present. All other group names and GIDs can be chosen freely by the system
-  administrator since well-written programs do not depend on GID numbers, but
-  rather use the group's name.</para>
+  decided on in part by the requirements of the Udev configuration in Chapter
+  9, and in part by common convention employed by a number of existing Linux
+  distributions. In addition, some test suites rely on specific users or
+  groups.  The Linux Standard Base (LSB, available at <ulink
+  url="http://refspecs.linuxfoundation.org/lsb.shtml"/>) only recommends that,
+  besides the group <systemitem class="groupname">root</systemitem> with a
+  Group ID (GID) of 0, a group <systemitem class="groupname">bin</systemitem>
+  with a GID of 1 be present. All other group names and GIDs can be chosen
+  freely by the system administrator since well-written programs do not depend
+  on GID numbers, but rather use the group's name.</para>
 
   <para>Some tests in <xref linkend="chapter-building-system"/> need a regular
@@ -178,5 +178,5 @@
   executed. To ensure the use of the newly compiled binaries as soon as they are
   installed, the <parameter>+h</parameter> directive will be used for the duration
-  of this chapter.</para>
+  of this and the next chapter.</para>
 
   <para>The <command>login</command>, <command>agetty</command>, and
Index: chapter07/creatingdirs.xml
===================================================================
--- chapter07/creatingdirs.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter07/creatingdirs.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -16,10 +16,10 @@
 <screen><userinput>mkdir -pv /{bin,boot,etc/{opt,sysconfig},home,lib/firmware,mnt,opt}
 mkdir -pv /{media/{floppy,cdrom},srv,var}
-install -dv -m 0750 /root
-install -dv -m 1777 /tmp /var/tmp
 mkdir -pv /usr/{,local/}{bin,include,lib,sbin,src}
 mkdir -pv /usr/{,local/}share/{color,dict,doc,info,locale,man}
-mkdir -pv  /usr/{,local/}share/{misc,terminfo,zoneinfo}
+mkdir -pv /usr/{,local/}share/{misc,terminfo,zoneinfo}
 mkdir -pv /usr/{,local/}share/man/man{1..8}
+install -dv -m 1777 /tmp /var/tmp
+install -dv -m 0750 /root
 
 mkdir -v /var/{log,mail,spool}
Index: chapter07/introduction.xml
===================================================================
--- chapter07/introduction.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter07/introduction.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -11,10 +11,10 @@
   <title>Introduction</title>
 
-  <para>This chapter shows how to build the last missing bits of the
-  temporary system: first, the tools needed by the build machinery of
-  various packages, then three packages needed to run tests.
-  Now that all circular dependencies have been resolved,
-  we can use a <quote>chroot</quote> environment, completely isolated
-  from the computer used for the build, except for the running kernel.</para>
+  <para>This chapter shows how to build the last missing bits of the temporary
+  system: first, the tools needed by the build machinery of various packages,
+  then three packages needed to run tests.  Now that all circular dependencies
+  have been resolved, we can use a <quote>chroot</quote> environment,
+  completely isolated the host operating system used for the build, except
+  for the running kernel.</para>
 
   <para>For proper operation of the isolated environment, some communication
@@ -22,9 +22,5 @@
   so-called <emphasis>Virtual Kernel File Systems</emphasis>, which must be
   mounted when entering the chroot environment. You may want to check
-  that they are mounted by issuing <command>ls $LFS/dev</command>,
-  <command>ls $LFS/proc</command>, or <command>ls $LFS/sys</command>.
-  Note that mounting the virtual kernel file systems must be done
-  <emphasis>each time you want to enter the chroot
-  environment</emphasis>.</para>
+  that they are mounted by issuing <command>findmnt</command>.</para>
 
   <para>Until <xref linkend="ch-tools-chroot"/>, the commands must be
@@ -32,5 +28,5 @@
   <envar>LFS</envar> variable set. After entering chroot, all commands
   are run as root, fortunately without access to the OS of the computer
-  you build LFS on. Be careful anyway, as it is easy to destroy the whole
+  you built LFS on. Be careful anyway, as it is easy to destroy the whole
   LFS system with badly formed commands.</para>
 
Index: chapter07/kernfs.xml
===================================================================
--- chapter07/kernfs.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter07/kernfs.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -31,7 +31,8 @@
     device nodes, in particular the <filename
     class="devicefile">console</filename> and <filename
-    class="devicefile">null</filename> devices. The device nodes must be created
-    on the hard disk so that they are available before <command>udevd</command>
-    has been started, and additionally when Linux is started with
+    class="devicefile">null</filename> devices. The device nodes must be
+    created on the hard disk so that they are available before the kernel
+    populates <systemitem class="filesystem">/dev</systemitem>), and
+    additionally when Linux is started with
     <parameter>init=/bin/bash</parameter>. Create the devices by running the
     following commands:</para>
@@ -73,5 +74,5 @@
 mount -vt sysfs sysfs $LFS/sys
 mount -vt tmpfs tmpfs $LFS/run</userinput></screen>
-
+<!--
     <variablelist>
       <title>The meaning of the mount options for devpts:</title>
@@ -101,5 +102,5 @@
 
     </variablelist>
-
+-->
       <para>In some host systems, <filename>/dev/shm</filename> is a
       symbolic link to <filename class="directory">/run/shm</filename>.
Index: chapter08/grep.xml
===================================================================
--- chapter08/grep.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter08/grep.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -24,5 +24,5 @@
     <title/>
 
-    <para>The Grep package contains programs for searching through teh contents of files.</para>
+    <para>The Grep package contains programs for searching through the contents of files.</para>
 
     <segmentedlist>
Index: chapter08/make.xml
===================================================================
--- chapter08/make.xml	(revision bc8cca581fed74c60e201a89acb38cb2344c9b1b)
+++ chapter08/make.xml	(revision 387a32af4bff50363c15788cf25f10ed26cfabd3)
@@ -25,6 +25,5 @@
 
     <para>The Make package contains a program for controlling the generation of
-    executables and other non-source files of a program from the program's
-    source files. .</para>
+    executables and other non-source files of a package from source files.</para>
 
     <segmentedlist>